﻿var ELEMENT_NODE = 1;
var TEXT_NODE = 3;
var IP_REGEXP = new RegExp(
		"^([01]?\d\d?|2[0-4]\d|25[0-5])\.([01]?\d\d?|2[0-4]\d|25[0-5])\.([01]?\d\d?|2[0-4]\d|25[0-5])\.([01]?\d\d?|2[0-4]\d|25[0-5])");
var int_REGEXP = new RegExp("^-?[0-9]*[1-9][0-9]*$");//整数正则表达式
var float_REGEXP = new RegExp(
		"^(-?(([0-9]+\\.[0-9]{1,2})|([0-9]*[1-9][0-9]*\\.[0-9]{1,2})|([0-9]*[1-9][0-9]*)))$");//精确到百分位的浮点数正则表达式

var devicemaxseqnum = 0;
var deviceinfo = null; // 保存从服务器获取到的deviceinfo的json对象

var deviceinfoLength = 0;
var mcuUpdateInterval = null; //用于MCU升级查询
var armUpdateInterval = null; //用于ARM升级查询
var accordionCollapse = null; //用于记录设备列表的折叠框状态

var ip4addr = "192.168.11.243";
var netmask = "255.255.0.0";
var gateway = "192.168.11.1";

var leftImageSrc = "images/arrow-left.png";
var rightImageSrc = "images/arrow-right.png";
var upImageSrc = "images/arrow-up.png";
var downImageSrc = "images/arrow-down.png";
var twoWayImageSrc = "images/arrow-two-way.png";
var turningImageSrc = "images/arrow-turning.png";
var uplongImageSrc = "images/arrow-up-long.png";

var canSendRs232AutoStandbyCMD = false; // 是否可以发送消息
var canSendCecAutoStandbyCMD = false;// 是否可以发送消息
var canSendNumberCMD = false;// 是否可以发送消息

var isCreateSelectMenu = false;

var edidFocusValue = "0";

var isAccordionInit = false;

var autoLogoutInfo = {"autologoutinfo":[{"mode":"off","time":"5"}]};
var logoutTimeout = null;

//倒计时器
var countdownInterval = null;

/******************************************************** 
 * 方  法  名  称 :$(document).ready<br>
 * 功  能  简  述 : 页面加载自动调用<br>
 * 设  计  日  期 : 2015-9-24 上午9:29:49 <br>
 * 修改日期           修改人	      修改内容<br>
 * @author 李胜凯<br>
 *********************************************************/
$(document).ready(function()
{
	refreshLogoImg();
	if(window.navigator.appName == "Microsoft Internet Explorer" && window.navigator.appVersion.split(";")[1].replace(/[ ]/g,"")=="MSIE6.0"
    || window.navigator.appName == "Microsoft Internet Explorer" && window.navigator.appVersion.split(";")[1].replace(/[ ]/g,"")=="MSIE7.0"
    || window.navigator.appName == "Microsoft Internet Explorer" && window.navigator.appVersion.split(";")[1].replace(/[ ]/g,"")=="MSIE8.0"
    || window.navigator.appName == "Microsoft Internet Explorer" && window.navigator.appVersion.split(";")[1].replace(/[ ]/g,"")=="MSIE9.0")
    {
		// 说明浏览器不支持HTML5
		$("#alertMsg").css("display", "block");
		$("#loginBtn").attr("disabled", "disabled");

	}
	initLeftMenu();
	checkRemember();
	initdoc();
	document.getElementById('password').onkeydown = function(event)
	{
		if (event.keyCode == 13) {
			login();
		}
	};
	document.getElementById('text-rs232-poweron').onkeydown = function(event)
	{
		if (event.keyCode == 13) {
			rs232_poweron_apply();
		}
	};
	document.getElementById('text-rs232-poweroff').onkeydown = function(event)
	{
		if (event.keyCode == 13) {
			rs232_poweroff_apply();
		}
	};
	document.getElementById('text-rs232-Command').onkeydown = function(event)
	{
		if (event.keyCode == 13) {
			rs232_Command_apply();
		}
	};
	
	document.onclick = function(event)
	{
		
		 updateLogoutTimeout();
		//console.log("onclick "+autoLogoutInfo.autologoutinfo[0].mode);
	};
});

/******************************************************** 
 * 方  法  名  称 :initdoc<br>
 * 功  能  简  述 : 初始化页面使用的相关控件<br>
 * 设  计  日  期 : 2015-12-31 <br>
 * 修改日期           修改人	      修改内容<br>
 * @author 李胜凯<br>
 *********************************************************/

function initdoc()
{

	initaccordion();

	$("#ipmodeIPInfo").selectmenu(
	{
		change : function(event, data)
		{//data.item.value
			ipModechange(data.item.value);
		}
	});

	$("#rs232-baudrate-select").selectmenu();
	$("#rs232-databits-select").selectmenu();
	$("#rs232-stopbits-select").selectmenu();
	$("#rs232-paritybits-select").selectmenu();

	$("#rs232-baudrate-select-passthrough").selectmenu();
	$("#rs232-databits-select-passthrough").selectmenu();
	$("#rs232-stopbits-select-passthrough").selectmenu();
	$("#rs232-paritybits-select-passthrough").selectmenu();
	
	$("#auto-logout-select").selectmenu();

	// 初始化iphone开关
	initIphoneSwitch();

	//初始化升级dialog
	initMcuFileUpload_dialog();
	initArmFileUpload_dialog();
	initMcuProgress_dialog();
	initArmProgress_dialog();

	// 初始化确认刷新网页dialog
	initConfirmRefresh_dialog();

	// 初始化确认恢复出厂设置dialog
	initConfirmReset_dialog();

	// 初始化确认重启dialog
	initConfirmReboot_dialog();

	// 初始化EDID相关dialog
	initEdidFileUpload_dialog();
	initEdidWriteSelectPort_dialog();
	initEdidReadSelectPort_dialog();

	// 初始化Waitingdialog
	initWaiting_dialog();

	// 初始化排序的最大数量spinner
	initSortable_number_spinner();

	// 初始化CEC自动开关机spinner
	initCecAutoStandby_spinner();

	// 初始化RS232自动开关机spinner
	initRs232AutoStandby_spinner();
	
	initStatic_ip_Prompt_dialog();
	initDhcp_ip_Prompt_dialog();
}

/******************************************************** 
 * 方  法  名  称 :initLeftMenu<br>
 * 功  能  简  述 : 初始化左侧导航栏<br>
 * 设  计  日  期 : 2015-12-31 <br>
 * 修改日期           修改人	      修改内容<br>
 * @author 李胜凯<br>
 *********************************************************/
function initLeftMenu()
{
	$(".leftsidebar_box dd").hide();
	$(".leftsidebar_box dt").css(
	{
		"background-color" : "#cccccc"
	});
	$(".leftsidebar_box dt").click(
			function()
			{
				$(".leftsidebar_box dt").css(
				{
					"background-color" : "#cccccc"
				});
				$(this).css(
				{
					"background-color" : "#eeeeee"
				});
				$(".leftsidebar_box dt").css(
				{
					"color" : "#ffffff"
				});
				$(this).css(
				{
					"color" : "#cc0000"
				});
				$(this).parent().find('dd').removeClass("menu_chioce");
				$(".leftsidebar_box dt img").attr("src",
						"images/left/select_xl01.png");
				$(this).parent().find('img').attr("src",
						"images/left/select_xl.png");
				$(".menu_chioce").slideUp();
				$(this).parent().find('dd').slideToggle();
				$(this).parent().find('dd').addClass("menu_chioce");
			});
}

/******************************************************** 
 * 方  法  名  称 :initaccordion<br>
 * 功  能  简  述 : 初始化折叠框<br>
 * 设  计  日  期 : 2015-12-31 <br>
 * 修改日期           修改人	      修改内容<br>
 * @author 李胜凯<br>
 *********************************************************/
function initaccordion()
{
	$(".matrixSetting_accordion").accordion(

	{
		heightStyle : "content" //按照内容自动设置高度
	},
	{
		header : "h1"
	},
	{
		icons : null
	}

	);
}

/*********************************************************
 * 方法名称:init<br>
 * 功能简述:初始化，从服务器获取数据<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-12-27<br>
 * 参   数:无<br>
 * 返  回  值:无<br>
 ********************************************************/
function init()
{
	//logoutTimeout = setTimeout("logout();",5*1000*60);
	setTimeout("getDeviceInfo1();", 100);
	setTimeout("getDeviceInfo();", 400);
	setTimeout("getIpInfo();", 600);
	setTimeout("getHdcpInfo_hdmi();", 800);
	setTimeout("getHdcpInfo_dp();", 1000);
	setTimeout("getCecInfo();", 1200);
	setTimeout("getEdidInfo();", 1400);
	setTimeout("getRs232Info();", 1600);
	setTimeout("getVersionInfo();", 1800);
	setTimeout("getAutoSwitchInfo();", 2000);
	setTimeout("getLocateMeInfo();",2200);
	setTimeout("getAutoLogoutInfo();",2400);
	
	setTextValue("text-rs232-Command", "");
	//	getDeviceInfo();
	//	getIpInfo();
	//	getHdcpInfo_hdmi();
	//	getHdcpInfo_dp();
	//	getCecInfo();
	//	getEdidInfo();
	//	getRs232Info();
	//	getVersionInfo();
}

/*********************************************************
 * 方法名称:login<br>
 * 功能简述:登录处理函数<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-12-27<br>
 * 参   数:无<br>
 * 返  回  值:无<br>
 ********************************************************/
function login()
{
	var psw = $("#password").val();
	setCookieUserNamePassword(" ", psw);
	verifyPassword(psw);
}

function logout()
{
	if(autoLogoutInfo.autologoutinfo[0].mode == "on")
	{
		delCookiePassword();
		window.location.reload();
	}
	
}

function updateLogoutTimeout()
{
	//console.log(autoLogoutInfo);
	if(autoLogoutInfo.autologoutinfo[0].mode == "on")
	{
		clearTimeout(logoutTimeout);
		logoutTimeout = setTimeout("logout();",parseInt(autoLogoutInfo.autologoutinfo[0].time)*1000*60);
	}
	else if(autoLogoutInfo.autologoutinfo[0].mode == "off")
	{
		clearTimeout(logoutTimeout);
	}
}

/*********************************************************
 * 方法名称:showLogin<br>
 * 功能简述:是否显示登录界面<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-12-27<br>
 * 参   数:true/false<br>
 * 返  回  值:无<br>
 ********************************************************/
function showLogin(isShow)
{
	if (!isShow) {
		$("#mainbody").css("display", "block");
		$("#login-form").css("display", "none");
	}
	else {
		$("#mainbody").css("display", "none");
		$("#login-form").css("display", "block");
	}
}

/*********************************************************
 * 方法名称:verifyPassword<br>
 * 功能简述:校验密码是否正确<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-12-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function verifyPassword(password)
{
	var url = "/action";
	var context = "cmdtype=systemconfig&cmdstr=verifypasswd&passwd=" + password;
	$.ajax(
	{
		type : "POST",
		url : url,
		dataType : "text",
		data : context,
		timeout : 5000,
		contentType : "application/x-www-form-urlencoded",
		complete : function(XMLHttpRequest, textStatus)
		{
			if (XMLHttpRequest.status == 200) {

				init();
				showLogin(false);
			}
			else {
				warning_message("Wrong password");

				//init();
				//showLogin(false);
			}
		}
	});
}

/*********************************************************
 * 方法名称:getDeviceInfo<br>
 * 功能简述:获取设备信息，假获取，不处理，为了解决开机首次登录搜索不到设备问题<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-12-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function getDeviceInfo1()
{
	//var url = "JSON/deviceinfo.json";
	var url = "action";
	var context = "cmdtype=commconfig&cmdstr=getdeviceinfo";

	$.ajax(
	{
		type : "POST",
		url : url,
		dataType : "text",
		data : context,
		timeout : 5000,
		contentType : "application/x-www-form-urlencoded",
		success : function(msg)
		{

		},
		error : function(XMLHttpRequest, textStatus, errorThrown)
		{

		}

	});
	Console.log("get:" + context);
}

/*********************************************************
 * 方法名称:getDeviceInfo<br>
 * 功能简述:获取设备信息<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-12-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function getDeviceInfo()
{
	//var url = "JSON/deviceinfo.json";
	var url = "action";
	var context = "cmdtype=commconfig&cmdstr=getdeviceinfo";

	$.ajax(
	{
		type : "POST",
		url : url,
		dataType : "text",
		data : context,
		timeout : 10000,
		contentType : "application/x-www-form-urlencoded",
		success : function(msg)
		{
			getDeviceInfoProcess(msg);
		},
		error : function(XMLHttpRequest, textStatus, errorThrown)
		{
			// error_message("######get Device Info fail"); //翻译
		}

	});
	Console.log("get:" + context);
}

/*********************************************************
 * 方法名称:getDeviceInfoProcess<br>
 * 功能简述:处理设备信息，画状态图，画设备列表<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-12-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function getDeviceInfoProcess(jsonString)
{

	Console.log("Receive Device Info=" + jsonString);
	//try
	{
		
		
		// 转化为json数据类型
		var jsonData = $.evalJSON(jsonString);

		devicemaxseqnum = jsonData.devicemaxseqnum;
		deviceinfo = jsonData.deviceinfo;
		deviceinfoLength = deviceinfo.length;
		
		if(devicemaxseqnum>deviceinfoLength)
		{
			//显示设备最大数量
			$("#Sortable_number_spinner").spinner("value", devicemaxseqnum);
		}
		else
		{
			//显示设备最大数量
			$("#Sortable_number_spinner").spinner("value", deviceinfoLength);
		}
		
		// 排序
		deviceInfoSort();

		

	
		
		//绘制status页面
		drawDeviceConnectionDiagram();
		
		
		
		

				// 左侧导航显示设备列表
		var $DeviceListNav = $("#device-list-div-dd");
		var htmlNav = "";
		htmlNav+="<dd style='display:none;line-height: 15px;'>";
		htmlNav+='<button type="button" onclick="getDeviceInfo1();getDeviceInfo()" style="height:24px;padding: 2px 0;">Refresh</button>';
		htmlNav+="</dd>";
		for (var i = 0; i < deviceinfoLength; i++) {

			if (deviceinfo[i] == undefined) {
				continue;
			}
			var alias = deviceinfo[i].alias; // 假名
			var ip_addr = deviceinfo[i].ip_addr; // IP地址
			var sequence_number = deviceinfo[i].sequence_number; // 序号
			var group_sign = deviceinfo[i].group_sign; // 分株标志
			
			htmlNav+="<dd style='display:none;line-height: 15px;'>";
			htmlNav+='<table>';
			htmlNav+='<tr>';
			htmlNav+='<th style="width:20%;padding: 0px 0px 5px 5px;">';
			htmlNav+='<label>'+(parseInt(sequence_number))+'</label>';
			htmlNav+='</th>';
			htmlNav+='<th style="padding: 0px 0px 5px 5px;">';
			htmlNav+='<a href="http://'+ip_addr+'/" style="text-decoration: none;">Name:'+alias+" IP:"+ip_addr+'</a>';
			htmlNav+='</th>';
			htmlNav+='</tr>';
			htmlNav+='</table>';
			htmlNav+="</dd>";
			// 设置假名
			if (ip_addr == window.location.hostname) {
				setTextValue("deviceAlias", alias);
				if (group_sign.toLowerCase() == "on") {
					setCheckBoxValue("checkbox-groupsign", true);
				}
				else if (group_sign.toLowerCase() == "off") {
					setCheckBoxValue("checkbox-groupsign", false);
				}

			}
		}
		
		$DeviceListNav.html(htmlNav);

	}
	//catch(e)
	{
		//error_message("#######Device Info json format error");//翻译
		//error_message(e.message);//翻译
		//console.log("Warning:"+message);
	}

}
/*function getDeviceInfoLength()
 {
 var length = 0;
 for(var i = 0; i < deviceinfoLength;i++)
 {
 if(deviceinfo[i] != undefined)
 {
 length+=1;

 }
 else
 {
 break;
 }
 }

 return length;
 }*/

/*********************************************************
 * 方法名称:drawDeviceConnectionDiagram<br>
 * 功能简述:画状态图<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-12-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function drawDeviceConnectionDiagram()
{

	var $divStatus = $("#div-status");
	var divStatusHTML = "";
	var looplink = false;
	$divStatus.html("");
	//divStatusHTML += "<br><br><br>";
	if (deviceinfoLength <= 0 && deviceinfo == null) {
		//alert("deviceinfo.length<=0 && deviceinfo == null");
		return;
	}
	// 判断是否有环接
	for (var i = 0; i < deviceinfoLength; i++) {
		if (deviceinfo[i] == undefined) {
			continue;
		}
		if (deviceinfo[i].looplink_sign == "TRUE") {
			looplink = true;
		}

	}

	if (looplink && deviceinfoLength < 2) {
		warning_message("Minimum ring equipment is 2");
		//return;
	}
	switch (deviceinfoLength)
	{
	case 1:
	{

		divStatusHTML = createDeviceConnectionDiagram1(looplink);

		break;
	}
	case 2:
	{
		divStatusHTML = createDeviceConnectionDiagram2(looplink);
		break;
	}
	default:
	{
		if (deviceinfoLength % 2 == 0) {
			divStatusHTML = createDeviceConnectionDiagramUp2Odd(looplink);
		}
		else {
			divStatusHTML = createDeviceConnectionDiagramUp2Even(looplink);
		}

	}

	}

	//alert(divStatusHTML);
	$divStatus.html(divStatusHTML);

}

/*********************************************************
 * 方法名称:createDeviceConnectionDiagram1<br>
 * 功能简述:画状态图，一个设备<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-12-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function createDeviceConnectionDiagram1(looplink)
{
	var html = "";

	html += '<table class="ui-device-connect-diagram"><tbody>';
	html += '<tr>';
	html += '<td style="width:450px">';

	if (deviceinfo[0] == undefined) {
		html += createDeviceDisconnectDiv(0);
	}
	else {
		html += createDeviceDiv(deviceinfo[0].alias, deviceinfo[0].ip_addr,
				deviceinfo[0].sequence_number, deviceinfo[0].group_sign,
				deviceinfo[0].vi_select, deviceinfo[0].showme_sign,
				deviceinfo[0].dev_type);
	}

	html += '</td>';
	html += '<td>';
	html += '</td>';
	html += '<td>';
	html += '</td>';
	html += '<tr>';
	html += '</tbody></table>';
	//alert(html);
	return html;
}

/*********************************************************
 * 方法名称:createDeviceConnectionDiagram2<br>
 * 功能简述:画状态图，2个设备<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-12-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function createDeviceConnectionDiagram2(looplink)
{
	var html = "";
	html += '<table class="ui-device-connect-diagram"><tbody>';
	html += '<tr>';
	html += '<td style="width:450px">';
	if (deviceinfo[0] == undefined) {
		html += createDeviceDisconnectDiv(0);
	}
	else {
		html += createDeviceDiv(deviceinfo[0].alias, deviceinfo[0].ip_addr,
				deviceinfo[0].sequence_number, deviceinfo[0].group_sign,
				deviceinfo[0].vi_select, deviceinfo[0].showme_sign,
				deviceinfo[0].dev_type);
	}

	html += '</td>';
	html += '<td style="width:115px">';
	if (looplink) {
		html += createImage(twoWayImageSrc, "", "");
	}
	else {
		html += createImage(rightImageSrc, "", "");
	}

	html += '</td>';
	html += '<td >';

	if (deviceinfo[1] == undefined) {
		html += createDeviceDisconnectDiv(1);
	}
	else {
		html += createDeviceDiv(deviceinfo[1].alias, deviceinfo[1].ip_addr,
				deviceinfo[1].sequence_number, deviceinfo[1].group_sign,
				deviceinfo[1].vi_select, deviceinfo[1].showme_sign,
				deviceinfo[1].dev_type);
	}

	html += '</td>';

	html += '<tr>';
	html += '</tbody></table>';
	//alert(html);
	return html;
}

/*********************************************************
 * 方法名称:createDeviceConnectionDiagramUp2Even<br>
 * 功能简述:画状态图，大于2个的奇数个设备<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-12-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function createDeviceConnectionDiagramUp2Even(looplink)
{
	//alert(devicemaxseqnum%2  == 1);
	var html = "";
	html += '<table class="ui-device-connect-diagram"><tbody>';
	html += '<tr>';//1111111111111111111111111111111111111111111111111111111
	html += '<td style="width:450px">';
	if (deviceinfo[0] == undefined) {
		html += createDeviceDisconnectDiv(0);
	}
	else {
		html += createDeviceDiv(deviceinfo[0].alias, deviceinfo[0].ip_addr,
				deviceinfo[0].sequence_number, deviceinfo[0].group_sign,
				deviceinfo[0].vi_select, deviceinfo[0].showme_sign,
				deviceinfo[0].dev_type);
	}

	html += '</td>';
	html += '<td style="width:115px">';
	html += createImage(rightImageSrc, "", "");
	html += '</td>';
	html += '<td>';
	if (deviceinfo[1] == undefined) {
		html += createDeviceDisconnectDiv(1);
	}
	else {
		html += createDeviceDiv(deviceinfo[1].alias, deviceinfo[1].ip_addr,
				deviceinfo[1].sequence_number, deviceinfo[1].group_sign,
				deviceinfo[1].vi_select, deviceinfo[1].showme_sign,
				deviceinfo[1].dev_type);
	}

	html += '</td>';
	html += '<td>';
	html += '</tr>';

	//alert(Math.floor((deviceinfoLength + 1)/2));
	for (var i = 0; i < Math.floor((deviceinfoLength + 1) / 2) - 1; i++) {
		html += '<tr>';
		if (looplink && i == 0) {
			if (deviceinfoLength == 3) {
				html += '<td style="text-align: center;" rowspan="2" colspan="2">';
			}
			else {
				html += '<td style="text-align: center;" rowspan="3">';
			}
		}
		else {
			html += '<td style="text-align: center;">';
		}

		// 箭头第一行
		if (i == 0) {
			if (looplink) {

				if (deviceinfoLength == 3) {
					html += createImage(turningImageSrc, "", "float:right");
				}
				else {
					html += createImage(uplongImageSrc, "", "");
				}
			}

		}
		else {
			if (i == 1) {
				if (deviceinfoLength % 2 == 0) {
					html += createImage(upImageSrc, "", "");
				}
			}
			else {
				html += createImage(upImageSrc, "", "");
			}

		}
		html += '</td>';
		if (looplink && (deviceinfoLength == 3)) {

		}
		else if (looplink && (i == 1)) {
		}
		else {
			html += '<td>';
			html += '</td>';
		}

		html += '<td style="width:450px;text-align: center;">';
		html += createImage(downImageSrc, "", "");
		html += '</td>';
		html += '</tr>';

		html += '<tr>';
		if (looplink && (deviceinfoLength == 3)) {
			html += '<td>';
			if (deviceinfo[deviceinfoLength - 1 - i] == undefined) {
				html += createDeviceDisconnectDiv(deviceinfoLength - 1 - i);
			}
			else {
				html += createDeviceDiv(
						deviceinfo[deviceinfoLength - 1 - i].alias,
						deviceinfo[deviceinfoLength - 1 - i].ip_addr,
						deviceinfo[deviceinfoLength - 1 - i].sequence_number,
						deviceinfo[deviceinfoLength - 1 - i].group_sign,
						deviceinfo[deviceinfoLength - 1 - i].vi_select,
						deviceinfo[deviceinfoLength - 1 - i].showme_sign,
						deviceinfo[deviceinfoLength - 1 - i].dev_type);
			}
			html += '</td>';

		}
		else if (looplink && (i == 0)) {
			html += '<td >';
			html += '</td>';
			html += '<td>';
			if (deviceinfo[2 + i] == undefined) {
				html += createDeviceDisconnectDiv(2 + i);
			}
			else {
				html += createDeviceDiv(deviceinfo[2 + i].alias,
						deviceinfo[2 + i].ip_addr,
						deviceinfo[2 + i].sequence_number,
						deviceinfo[2 + i].group_sign,
						deviceinfo[2 + i].vi_select,
						deviceinfo[2 + i].showme_sign,
						deviceinfo[2 + i].dev_type);
			}

			html += '</td>';
		}
		else {
			html += '<td>';
			if (i == 0) {
				if (deviceinfoLength % 2 == 0) {
					if (deviceinfo[deviceinfoLength - 1 - i] == undefined) {
						html += createDeviceDisconnectDiv(deviceinfoLength - 1
								- i);
					}
					else {
						html += createDeviceDiv(
								deviceinfo[deviceinfoLength - 1 - i].alias,
								deviceinfo[deviceinfoLength - 1 - i].ip_addr,
								deviceinfo[deviceinfoLength - 1 - i].sequence_number,
								deviceinfo[deviceinfoLength - 1 - i].group_sign,
								deviceinfo[deviceinfoLength - 1 - i].vi_select,
								deviceinfo[deviceinfoLength - 1 - i].showme_sign,
								deviceinfo[deviceinfoLength - 1 - i].dev_type);
					}
				}
			}

			else {
				if (deviceinfo[deviceinfoLength - i] == undefined) {
					html += createDeviceDisconnectDiv(deviceinfoLength - i);
				}
				else {
					html += createDeviceDiv(
							deviceinfo[deviceinfoLength - i].alias,
							deviceinfo[deviceinfoLength - i].ip_addr,
							deviceinfo[deviceinfoLength - i].sequence_number,
							deviceinfo[deviceinfoLength - i].group_sign,
							deviceinfo[deviceinfoLength - i].vi_select,
							deviceinfo[deviceinfoLength - i].showme_sign,
							deviceinfo[deviceinfoLength - i].dev_type);
				}
			}

			html += '</td>';
			html += '<td >';
			//alert((i +2)+"   "+Math.floor((deviceinfoLength + 1 )/2));
			if (i + 2 == Math.floor((deviceinfoLength + 1) / 2)) {
				if (deviceinfoLength != 3) {
					html += createImage(leftImageSrc, "", "");
				}

			}

			html += '</td>';
			html += '<td>';
			if (deviceinfo[2 + i] == undefined) {
				html += createDeviceDisconnectDiv(2 + i);
			}
			else {
				html += createDeviceDiv(deviceinfo[2 + i].alias,
						deviceinfo[2 + i].ip_addr,
						deviceinfo[2 + i].sequence_number,
						deviceinfo[2 + i].group_sign,
						deviceinfo[2 + i].vi_select,
						deviceinfo[2 + i].showme_sign,
						deviceinfo[2 + i].dev_type);
			}

			html += '</td>';
		}

		html += '</tr>';

	}

	html += '</tbody></table>';
	//alert(html);
	return html;
}

/*********************************************************
 * 方法名称:createDeviceConnectionDiagramUp2Odd<br>
 * 功能简述:画状态图，大于2个的偶数个设备<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-12-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function createDeviceConnectionDiagramUp2Odd(looplink)
{

	var html = "";
	html += '<table class="ui-device-connect-diagram"><tbody>';
	html += '<tr>';//1111111111111111111111111111111111111111111111111111111
	html += '<td style="width:450px">';
	if (deviceinfo[0] == undefined) {
		html += createDeviceDisconnectDiv(0);
	}
	else {
		html += createDeviceDiv(deviceinfo[0].alias, deviceinfo[0].ip_addr,
				deviceinfo[0].sequence_number, deviceinfo[0].group_sign,
				deviceinfo[0].vi_select, deviceinfo[0].showme_sign,
				deviceinfo[0].dev_type);
	}

	html += '</td>';
	html += '<td style="width:115px">';
	html += createImage(rightImageSrc, "", "");
	html += '</td>';
	html += '<td>';
	if (deviceinfo[1] == undefined) {
		html += createDeviceDisconnectDiv(1);
	}
	else {
		html += createDeviceDiv(deviceinfo[1].alias, deviceinfo[1].ip_addr,
				deviceinfo[1].sequence_number, deviceinfo[1].group_sign,
				deviceinfo[1].vi_select, deviceinfo[1].showme_sign,
				deviceinfo[1].dev_type);
	}

	html += '</td>';
	html += '<td>';
	html += '</tr>';

	//alert(Math.floor((deviceinfoLength + 1)/2));
	for (var i = 0; i < Math.floor((deviceinfoLength + 1) / 2) - 1; i++) {
		html += '<tr>';
		html += '<td style="text-align: center;">';
		//alert(looplink)
		if ((i == 0)) {
			if (looplink) {
				html += createImage(upImageSrc, "", "");
			}

		}
		else {
			if (i == 1) {
				if (deviceinfoLength % 2 == 0) {
					html += createImage(upImageSrc, "", "");
				}
			}
			else {
				html += createImage(upImageSrc, "", "");
			}

		}
		html += '</td>';
		html += '<td>';
		html += '</td>';

		html += '<td style="width:450px;text-align: center;">';
		html += createImage(downImageSrc, "", "");
		html += '</td>';
		html += '</tr>';

		html += '<tr>';
		html += '<td>';
		if (i == 0) {
			if (deviceinfoLength % 2 == 0) {
				if (deviceinfo[deviceinfoLength - 1 - i] == undefined) {
					html += createDeviceDisconnectDiv(deviceinfoLength - 1 - i);
				}
				else {
					html += createDeviceDiv(
							deviceinfo[deviceinfoLength - 1 - i].alias,
							deviceinfo[deviceinfoLength - 1 - i].ip_addr,
							deviceinfo[deviceinfoLength - 1 - i].sequence_number,
							deviceinfo[deviceinfoLength - 1 - i].group_sign,
							deviceinfo[deviceinfoLength - 1 - i].vi_select,
							deviceinfo[deviceinfoLength - 1 - i].showme_sign,
							deviceinfo[deviceinfoLength - 1 - i].dev_type);
				}
			}
		}
		else {
			if (deviceinfo[deviceinfoLength - 1 - i] == undefined) {
				html += createDeviceDisconnectDiv(deviceinfoLength - 1 - i);
			}
			else {
				html += createDeviceDiv(
						deviceinfo[deviceinfoLength - 1 - i].alias,
						deviceinfo[deviceinfoLength - 1 - i].ip_addr,
						deviceinfo[deviceinfoLength - 1 - i].sequence_number,
						deviceinfo[deviceinfoLength - 1 - i].group_sign,
						deviceinfo[deviceinfoLength - 1 - i].vi_select,
						deviceinfo[deviceinfoLength - 1 - i].showme_sign,
						deviceinfo[deviceinfoLength - 1 - i].dev_type);
			}
		}

		html += '</td>';
		html += '<td >';
		//alert((i +2)+"   "+Math.floor((deviceinfoLength + 1 )/2));
		if (i + 2 == Math.floor((deviceinfoLength + 1) / 2)) {
			if (deviceinfoLength != 3) {
				html += createImage(leftImageSrc, "", "");
			}

		}

		html += '</td>';
		html += '<td>';
		if (deviceinfo[2 + i] == undefined) {
			html += createDeviceDisconnectDiv(2 + i);
		}
		else {
			html += createDeviceDiv(deviceinfo[2 + i].alias,
					deviceinfo[2 + i].ip_addr,
					deviceinfo[2 + i].sequence_number,
					deviceinfo[2 + i].group_sign, deviceinfo[2 + i].vi_select,
					deviceinfo[2 + i].showme_sign, deviceinfo[2 + i].dev_type);
		}

		html += '</td>';
		html += '</tr>';

	}

	html += '</tbody></table>';
	//alert(html);
	return html;
}

/*********************************************************
 * 方法名称:createImage<br>
 * 功能简述:创建一个图片<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-12-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function createImage(src, imageClass, imageStyle)
{

	return '<img class="' + imageClass + '" src="' + src + '" style="'
			+ imageStyle + '"/>';

}

/*********************************************************
 * 方法名称:createDeviceDisconnectDiv<br>
 * 功能简述:创建一个离线设备的div<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-12-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function createDeviceDisconnectDiv(sequence_number)
{

	var html = "";

	html += '<img src="images/device-disconnected.png" />';
	/*html +='<div id="'+deviceDivId+'" class="'+deviceDivClass+'" style="'+deviceDivStyle+'">';
	html +='<label>Alias:</label><em> '+alias+'</em><br>';
	html +='<label>Number:</label><em> '+sequence_number+'</em><br>';
	html +='<label>Mode:</label><em> '+group_sign+'</em><br>';
	html +='<label>IP:</label><em> '+ip_addr+'</em><br>';
	html +='<label>Source:</label><em> '+vi_select.toUpperCase() +'</em>';
	html +='</div>';*/
	return html;
}

/*********************************************************
 * 方法名称:createDeviceDiv<br>
 * 功能简述:创建一个在线设备的div，区分是否showme，并且包含鼠标悬浮状态<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-12-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function createDeviceDiv(alias, ip_addr, sequence_number, group_sign,
		vi_select, showme_sign, dev_type)
{

	if(group_sign.toUpperCase() == "OFF")
	{
		group_sign = "OFF";
	}
	else if(group_sign.toUpperCase() == "ON")
	{
		group_sign = "ON";
	}
	var html = "";
	html += '<div class="ui-device-status">';
	if (showme_sign == "TRUE") {
		if (dev_type.toUpperCase() == "TX") {
			html += '<img src="images/device-showme.png" >';
		}
		else if (dev_type.toUpperCase() == "RX") {
			html += '<img src="images/device-rx-showme.png" >';
		}

	}
	else {
		if (dev_type.toUpperCase() == "TX") {
			html += '<img src="images/device.png" >';
		}
		else if (dev_type.toUpperCase() == "RX") {
			html += '<img src="images/device-rx.png" >';
		}

	}
	html += '<span >';
	html += 'Alias Name:' + alias + '&nbsp;&nbsp;&nbsp;';
	html += 'IP Address:' + ip_addr + '<br>';
	html += 'Sequence:' + (parseInt(sequence_number)) + '&nbsp;&nbsp;&nbsp;';
	html += 'Grouping:' + group_sign + '&nbsp;&nbsp;&nbsp;';
	if (dev_type.toUpperCase() == "TX") {
		
		html += 'Select:' + vi_select;
	}

	html += '</span>';
	html += '</div>';
	return html;
}


function deviceInfoSort()
{
	
	// 计算需要显示的设备数量
	var length = devicemaxseqnum>deviceinfo.length ? devicemaxseqnum:deviceinfo.length;
	console.log("device length="+length);
	var deviceInfoTmp =  new Object(length);
	for(var i =0;i <deviceinfo.length;i++)
	{
		var sequence_number = parseInt(deviceinfo[i].sequence_number); // 序号
		if(deviceInfoTmp[sequence_number-1] != undefined ||sequence_number < 1)
		{
			warning_message("Units sequence repeated, please start sequence again");
		}
		deviceInfoTmp[sequence_number-1] = deviceinfo[i];
	}
	deviceinfo = deviceInfoTmp;
	deviceinfoLength =length;
}


function getIpInfo()
{
	//var url = "JSON/ipinfo.json";
	var url = "action";
	var context = "cmdtype=commconfig&cmdstr=getipinfo";

	$.ajax(
	{
		type : "POST",
		url : url,
		dataType : "text",
		data : context,
		timeout : 10000,
		contentType : "application/x-www-form-urlencoded",
		success : function(msg)
		{
			getIPInfoProcess(msg);
		},
		error : function(XMLHttpRequest, textStatus, errorThrown)
		{
			// error_message("######get IP Info fail"); //翻译
		}

	});
	Console.log("get:" + context);
}

/*********************************************************
 * 方法名称:getIPInfoProcess<br>
 * 功能简述:IP展示<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-12-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function getIPInfoProcess(jsonString)
{

	Console.log("Receive IP Info=" + jsonString);
	try {
		var jsonData = $.evalJSON(jsonString);
		//var jsonData = json;

		var ipMode = jsonData.ipinfo[0].ipmode;

		if (ipMode == "static") {
			ip4addr = jsonData.ipinfo[0].ip4addr;
			netmask = jsonData.ipinfo[0].netmask;
			gateway = jsonData.ipinfo[0].gateway;

			$("#ipmodeIPInfo").selectmenu("destroy");

			setSelectValue("ipmodeIPInfo", ipMode);

			$("#ipmodeIPInfo").selectmenu(
			{
				change : function(event, data)
				{//data.item.value
					ipModechange(data.item.value);
				}
			});

			$("#ip4addrIPInfo").val(ip4addr);
			$("#netmaskIPInfo").val(netmask);
			$("#gatewayIPInfo").val(gateway);
			$("#ip4addrIPInfo").attr("Disabled", false);
			$("#netmaskIPInfo").attr("Disabled", false);
			$("#gatewayIPInfo").attr("Disabled", false);
		}
		else if (ipMode == "dhcp") {
			//$("#ipmodeIPInfo").val(ipMode);

			$("#ipmodeIPInfo").selectmenu("destroy");

			setSelectValue("ipmodeIPInfo", ipMode);

			$("#ipmodeIPInfo").selectmenu(
			{
				change : function(event, data)
				{//data.item.value
					ipModechange(data.item.value);
				}
			});

			$("#ip4addrIPInfo").val("");
			$("#netmaskIPInfo").val("");
			$("#gatewayIPInfo").val("");
			$("#ip4addrIPInfo").attr("Disabled", true);
			$("#netmaskIPInfo").attr("Disabled", true);
			$("#gatewayIPInfo").attr("Disabled", true);
		}
	}
	catch (e) {
		error_message("getIPInfoProcess" + e.message);
	}

}

/*********************************************************
 * 方法名称:getHdcpInfo_hdmi<br>
 * 功能简述:获取HDMI端口的HDCP状态<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-12-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function getHdcpInfo_hdmi()
{
	//var url = "JSON/hdcpinfo.json";
	var url = "action";
	var context = "cmdtype=deviceconfig&cmdstr=gethdcpinfo&cmdparameter=hdmi";

	$.ajax(
	{
		type : "POST",
		url : url,
		dataType : "text",
		data : context,
		timeout : 10000,
		contentType : "application/x-www-form-urlencoded",
		success : function(msg)
		{
			getHdcpInfo_hdmiProcess(msg);
		},
		error : function(XMLHttpRequest, textStatus, errorThrown)
		{
			// error_message("######getHdcpInfo_hdmi fail"); //翻译
		}

	});
	Console.log("get:" + context);
}

/*********************************************************
 * 方法名称:getHdcpInfo_hdmiProcess<br>
 * 功能简述:HDMI端口的HDCP状态展示<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-12-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function getHdcpInfo_hdmiProcess(jsonString)
{

	Console.log("Receive HDCP Info=" + jsonString);
	try {
		var jsonData = $.evalJSON(jsonString);
		//var jsonData = json;

		var hdmiHdcpSupport = jsonData.hdcpinfo[0].hdcpsupport;
		if (hdmiHdcpSupport == "1") {
			setIphoneSwitchHdcp("iphone-switch-btn-hdcp-suport-hdmi", "on");
		}
		else if (hdmiHdcpSupport == "0") {
			setIphoneSwitchHdcp("iphone-switch-btn-hdcp-suport-hdmi", "off");
		}

	}
	catch (e) {
		error_message("getHdcpInfo_hdmiProcess" + e.message);
	}

}

/*********************************************************
 * 方法名称:getHdcpInfo_dp<br>
 * 功能简述:获取DP端口的HDCP状态<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-12-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function getHdcpInfo_dp()
{
	//var url = "JSON/hdcpinfo.json";
	var url = "action";
	var context = "cmdtype=deviceconfig&cmdstr=gethdcpinfo&cmdparameter=dp";

	$.ajax(
	{
		type : "POST",
		url : url,
		dataType : "text",
		data : context,
		timeout : 10000,
		contentType : "application/x-www-form-urlencoded",
		success : function(msg)
		{
			getHdcpInfo_dpProcess(msg);
		},
		error : function(XMLHttpRequest, textStatus, errorThrown)
		{
			// error_message("######getHdcpInfo_dp"); //翻译
		}

	});
	Console.log("get:" + context);
}

/*********************************************************
 * 方法名称:getHdcpInfo_dpProcess<br>
 * 功能简述:DP端口的HDCP状态展示<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-12-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function getHdcpInfo_dpProcess(jsonString)
{

	Console.log("Receive HDCP Info=" + jsonString);
	try {
		var jsonData = $.evalJSON(jsonString);
		//var jsonData = json;

		var hdmiHdcpSupport = jsonData.hdcpinfo[0].hdcpsupport;
		if (hdmiHdcpSupport == "1") {
			setIphoneSwitchHdcp("iphone-switch-btn-hdcp-suport-displayport",
					"on");
		}
		else if (hdmiHdcpSupport == "0") {
			setIphoneSwitchHdcp("iphone-switch-btn-hdcp-suport-displayport",
					"off");
		}

	}
	catch (e) {
		error_message("getHdcpInfo_dpProcess" + e.message);
	}

}

/*********************************************************
 * 方法名称:getCecInfo<br>
 * 功能简述:获取CEC状态<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-12-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function getCecInfo()
{
	//var url = "JSON/cecinfo.json";
	var url = "action";
	var context = "cmdtype=deviceconfig&cmdstr=getcecinfo&cmdparameter=hdmi";

	$.ajax(
	{
		type : "POST",
		url : url,
		dataType : "text",
		data : context,
		timeout : 10000,
		contentType : "application/x-www-form-urlencoded",
		success : function(msg)
		{
			getCecInfoProcess(msg);
		},
		error : function(XMLHttpRequest, textStatus, errorThrown)
		{
			//error_message("######getCecInfo"); //翻译
		}

	});
	Console.log("get:" + context);
}

/*********************************************************
 * 方法名称:getCecInfoProcess<br>
 * 功能简述:CEC状态展示<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-12-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function getCecInfoProcess(jsonString)
{

	Console.log("Receive CEC Info=" + jsonString);
	try {
		var jsonData = $.evalJSON(jsonString);
		//var jsonData = json;

		var cecsupport = jsonData.cecinfo[0].cecsupport;
		var cecdelaycontroltime = parseInt(jsonData.cecinfo[0].cecdelaycontroltime);
		if (cecdelaycontroltime >= 0 && cecdelaycontroltime <= 99) {
			canSendCecAutoStandbyCMD = false;
			$("#cecAutoStandby_hdmi").spinner("value", cecdelaycontroltime);
			canSendCecAutoStandbyCMD = true;
		}
		else {
			canSendCecAutoStandbyCMD = false;
			$("#cecAutoStandby_hdmi").spinner("value", 1);
			canSendCecAutoStandbyCMD = true;
		}
		if (cecsupport == "1") {
			setIphoneSwitch("iphone-switch-btn-cec-auto-stanby", "on");
			$("#cecAutoStandby_hdmi").spinner("enable");
		}
		else if (cecsupport == "0") {
			setIphoneSwitch("iphone-switch-btn-cec-auto-stanby", "off");
			$("#cecAutoStandby_hdmi").spinner("disable");
		}

	}
	catch (e) {
		error_message("getCecInfoProcess" + e.message);
	}

}

/*********************************************************
 * 方法名称:getEdidInfo<br>
 * 功能简述:获取EDID状态<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-12-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function getEdidInfo()
{
	//var url = "JSON/edidinfo.json";
	var url = "action";
	var context = "cmdtype=deviceconfig&cmdstr=getedidinfo&cmdparameter=all";

	$.ajax(
	{
		type : "POST",
		url : url,
		dataType : "text",
		data : context,
		timeout : 10000,
		contentType : "application/x-www-form-urlencoded",
		success : function(msg)
		{
			getEdidInfoProcess(msg);
		},
		error : function(XMLHttpRequest, textStatus, errorThrown)
		{
			//error_message("######getEdidInfo"); //翻译
		}

	});
	Console.log("get:" + context);
}

/*********************************************************
 * 方法名称:getEdidInfoProcess<br>
 * 功能简述:展示EDID状态<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-12-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function getEdidInfoProcess(jsonString)
{

	Console.log("Receive EDID Info=" + jsonString);
	try {
		var jsonData = $.evalJSON(jsonString);
		//var jsonData = json;

		var edidsetting = parseInt(jsonData.edidinfo[0].edidsetting);

		if (edidsetting >= 9 && edidsetting <= 18) {
			setDisplay("label-video-edid", "none");
			setDisplay("select-video-edid", "block");
			setEnable("edid-write-open-button");
			setSelectValue("select-video-edid", edidsetting);
			$("#select-video-edid").selectmenu(
			{
				change : function(event, data)
				{//data.item.value
					videoEdidApply("all", data.item.value);
				},
				focus : function(event, ui)
				{
					edidFocusValue = getSelectValue("select-video-edid");
					// alert(edidFocusValue);
				}
			});
			isCreateSelectMenu = true;
			//setDisable("edid-write-open-button");

		}
		else if (edidsetting >= 0 && edidsetting <= 8) {

			setDisplay("label-video-edid", "block");
			setDisplay("select-video-edid", "none");
			//alert(edidsetting);
			setDisable("edid-write-open-button",true);

			switch (edidsetting)
			{
			case 0:
			{
				setLabelText("label-video-edid",
						"HDMI/DP/HDBT:3840x2160@30Hz 2CH VGA:1920x1200@60Hz 2CH");
				break;
			}
			case 1:
			{
				setLabelText("label-video-edid",
						"HDMI/DP/VGA/HDBT:1920x1200@60Hz 2CH");
				break;
			}
			case 2:
			{
				setLabelText("label-video-edid",
						"HDMI/DP/VGA/HDBT:1920x1080@60Hz 2CH");
				break;
			}
			case 3:
			{
				setLabelText("label-video-edid",
						"HDMI/DP/VGA/HDBT:1680x1050@60Hz 2CH");
				break;
			}
			case 4:
			{
				setLabelText("label-video-edid",
						"HDMI/DP/VGA/HDBT:1600x900@60Hz 2CH");
				break;
			}
			case 5:
			{
				setLabelText("label-video-edid",
						"HDMI/DP/VGA/HDBT:1440x900@60Hz 2CH");
				break;
			}
			case 6:
			{
				setLabelText("label-video-edid",
						"HDMI/DP/VGA/HDBT:1360x768@60Hz 2CH");
				break;
			}
			case 7:
			{
				setLabelText("label-video-edid",
						"HDMI/DP/VGA/HDBT:1280x768@60Hz 2CH");
				break;
			}
			case 8:
			{
				setLabelText("label-video-edid",
						"HDMI/DP/VGA/HDBT:1024x768@60Hz 2CH");
				break;
			}
			case 9:
			{
				setLabelText("label-video-edid",
						"HDMI/DP/VGA/HDBT:Manual By Web");
				break;
			}
			default:
			{
				setDisplay("label-video-edid", "none");
				setDisplay("select-video-edid", "none");
			}
			}
			if (isCreateSelectMenu) {
				$("#select-video-edid").selectmenu("destroy");
				isCreateSelectMenu = false;
			}

		}

	}
	catch (e) {
		error_message("getEdidInfoProcess" + e.message);
	}

}

/*********************************************************
 * 方法名称:getRs232Info<br>
 * 功能简述:获取RS232状态<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-12-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function getRs232Info()
{
	//var url = "JSON/rs232info.json";
	var url = "action";
	var context = "cmdtype=deviceconfig&cmdstr=getrs232info";

	$.ajax(
	{
		type : "POST",
		url : url,
		dataType : "text",
		data : context,
		timeout : 10000,
		contentType : "application/x-www-form-urlencoded",
		success : function(msg)
		{
			getRs232InfoProcess(msg);
		},
		error : function(XMLHttpRequest, textStatus, errorThrown)
		{
			//error_message("######getRs232Info"); //翻译
		}

	});
	Console.log("get:" + context);
}

/*********************************************************
 * 方法名称:getRs232InfoProcess<br>
 * 功能简述:RS232状态处理<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-12-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function getRs232InfoProcess(jsonString)
{

	Console.log("Receive RS232 Info=" + jsonString);
	try {
		var jsonData = $.evalJSON(jsonString);
		//var jsonData = json;

		var rs232support = jsonData.rs232info[0].rs232support;
		var rs232delaycontroltime = parseInt(jsonData.rs232info[0].rs232delaycontroltime);
		var hexadecimal = jsonData.rs232info[0].hexadecimal;
		var rs232poweronstring = jsonData.rs232info[0].rs232poweronstring;
		var rs232poweroffstring = jsonData.rs232info[0].rs232poweroffstring;
		var rs232speed = jsonData.rs232info[0].rs232speed;
		var rs232paritybit = jsonData.rs232info[0].rs232paritybit.toLowerCase();
		var rs232databit = jsonData.rs232info[0].rs232databit;
		var rs232stopbit = jsonData.rs232info[0].rs232stopbit;
		var rs232endflg = jsonData.rs232info[0].rs232endflg;
		if (rs232delaycontroltime >= 0 && rs232delaycontroltime <= 30) {
			canSendRs232AutoStandbyCMD = false;
			$("#rs232AutoStandby").spinner("value", rs232delaycontroltime);
			canSendRs232AutoStandbyCMD = true;
		}
		else {
			canSendRs232AutoStandbyCMD = false;
			$("#rs232AutoStandby").spinner("value", 1);
			canSendRs232AutoStandbyCMD = true;
		}
		if (rs232support == "1") {
			setIphoneSwitch("iphone-switch-btn-rs232-auto-stanby", "on");
			$("#rs232AutoStandby").spinner("enable");
		}
		else if (rs232support == "0") {
			setIphoneSwitch("iphone-switch-btn-rs232-auto-stanby", "off");
			$("#rs232AutoStandby").spinner("disable");
		}

		if (hexadecimal == "1") {
			setCheckBoxValue("checkbox_rs232_hex-passthrough", true);
			setCheckBoxValue("checkbox_rs232_hex", true);
			setRadioChecked("radio_rs232_endflg0");
			setDisable("radio_rs232_endflg0",true);
			setDisable("radio_rs232_endflg1",true);
			setDisable("radio_rs232_endflg2",true);
			setDisable("radio_rs232_endflg3",true);
			setRadioChecked("radio_rs232_endflg-passthrough0");
			setDisable("radio_rs232_endflg-passthrough0",true);
			setDisable("radio_rs232_endflg-passthrough1",true);
			setDisable("radio_rs232_endflg-passthrough2",true);
			setDisable("radio_rs232_endflg-passthrough3",true);
		}
		else if (hexadecimal == "0") {
			setEnable("radio_rs232_endflg0");
			setEnable("radio_rs232_endflg1");
			setEnable("radio_rs232_endflg2");
			setEnable("radio_rs232_endflg3");
			setEnable("radio_rs232_endflg-passthrough0");
			setEnable("radio_rs232_endflg-passthrough1");
			setEnable("radio_rs232_endflg-passthrough2");
			setEnable("radio_rs232_endflg-passthrough3");
			setCheckBoxValue("checkbox_rs232_hex-passthrough", false);
			setCheckBoxValue("checkbox_rs232_hex", false);
			setRadioChecked("radio_rs232_endflg-passthrough" + rs232endflg);
			setRadioChecked("radio_rs232_endflg" + rs232endflg);
			

		}

		setTextValue("text-rs232-poweron", rs232poweronstring);
		setTextValue("text-rs232-poweroff", rs232poweroffstring);

		//显示波特率
		$("#rs232-baudrate-select").selectmenu("destroy");
		setSelectValue("rs232-baudrate-select", rs232speed);
		$("#rs232-baudrate-select").selectmenu();
		$("#rs232-baudrate-select-passthrough").selectmenu("destroy");
		setSelectValue("rs232-baudrate-select-passthrough", rs232speed);
		$("#rs232-baudrate-select-passthrough").selectmenu();

		//显示校验位
		$("#rs232-paritybits-select").selectmenu("destroy");
		setSelectValue("rs232-paritybits-select", rs232paritybit);
		$("#rs232-paritybits-select").selectmenu();
		$("#rs232-paritybits-select-passthrough").selectmenu("destroy");
		setSelectValue("rs232-paritybits-select-passthrough", rs232paritybit);
		$("#rs232-paritybits-select-passthrough").selectmenu();

		//显示数据位
		$("#rs232-databits-select").selectmenu("destroy");
		setSelectValue("rs232-databits-select", rs232databit);
		$("#rs232-databits-select").selectmenu();
		$("#rs232-databits-select-passthrough").selectmenu("destroy");
		setSelectValue("rs232-databits-select-passthrough", rs232databit);
		$("#rs232-databits-select-passthrough").selectmenu();

		//显示停止位
		$("#rs232-stopbits-select").selectmenu("destroy");
		setSelectValue("rs232-stopbits-select", rs232stopbit);
		$("#rs232-stopbits-select").selectmenu();
		$("#rs232-stopbits-select-passthrough").selectmenu("destroy");
		setSelectValue("rs232-stopbits-select-passthrough", rs232stopbit);
		$("#rs232-stopbits-select-passthrough").selectmenu();

	}
	catch (e) {
		//error_message("getRs232InfoProcess  " + e.message);
	}

}

/*********************************************************
 * 方法名称:getVersionInfo<br>
 * 功能简述:获取版本信息<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-12-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function getVersionInfo()
{
	//var url = "JSON/versioninfo.json";
	var url = "action";
	var context = "cmdtype=systemconfig&cmdstr=versioninfo&softwarename=ALL";

	$.ajax(
	{
		type : "POST",
		url : url,
		dataType : "text",
		data : context,
		timeout : 10000,
		contentType : "application/x-www-form-urlencoded",
		success : function(msg)
		{
			getVersionInfoProcess(msg);
		},
		error : function(XMLHttpRequest, textStatus, errorThrown)
		{
			// error_message("######getVersionInfo"); //翻译
		}

	});
	Console.log("get:" + context);
}

/*********************************************************
 * 方法名称:getVersionInfoProcess<br>
 * 功能简述:展示版本信息<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-12-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function getVersionInfoProcess(jsonString)
{

	Console.log("Receive Version Info=" + jsonString);
	try {
		var jsonData = $.evalJSON(jsonString);
		//var jsonData = json;

		//alert(jsonData.versioninfo[1].softwarename);
		if (jsonData.versioninfo[0].softwarename == "MCU") {
			//alert(jsonData.versioninfo[0].softwarename+jsonData.versioninfo[0].versionname);
			setLabelText("mcuVersion", "v"
					+ jsonData.versioninfo[0].versionname);
			if (jsonData.versioninfo[1].softwarename == "ARM") {
				//alert(jsonData.versioninfo[1].softwarename+jsonData.versioninfo[1].versionname);
				setLabelText("armVersion", "v"
						+ jsonData.versioninfo[1].versionname);
			}
		}
		else if (jsonData.versioninfo[1].softwarename == "MCU") {
			//alert(jsonData.versioninfo[1].softwarename+jsonData.versioninfo[1].versionname);
			setLabelText("mcuVersion", "v"
					+ jsonData.versioninfo[1].versionname);
			if (jsonData.versioninfo[0].softwarename == "ARM") {
				//alert(jsonData.versioninfo[0].softwarename+jsonData.versioninfo[0].versionname);
				setLabelText("armVersion", "v"
						+ jsonData.versioninfo[0].versionname);
			}
		}

	}
	catch (e) {
		error_message("getVersionInfoProcess" + e.message);
	}

}

/*********************************************************
 * 方法名称:getAutoSwitchInfo<br>
 * 功能简述:获取自动切换信息<br>
 * 作   者:李胜凯<br>
 * 日期时间:2016-1-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function getAutoSwitchInfo()
{
	//var url = "JSON/autosw.json";
	var url = "action";
	var context = "cmdtype=deviceconfig&cmdstr=getautoswinfo";
	$.ajax(
	{
		type : "POST",
		url : url,
		dataType : "text",
		data : context,
		timeout : 10000,
		contentType : "application/x-www-form-urlencoded",
		success : function(msg)
		{
			getAutoSwitchInfoProcess(msg);
		},
		error : function(XMLHttpRequest, textStatus, errorThrown)
		{
			// error_message("######getVersionInfo"); //翻译
		}

	});
	Console.log("get:" + context);
}

/*********************************************************
 * 方法名称:getAutoSwitchInfoProcess<br>
 * 功能简述:自动切换处理<br>
 * 作   者:李胜凯<br>
 * 日期时间:2016-1-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function getAutoSwitchInfoProcess(jsonString)
{

	Console.log("Receive Auto Switch Info=" + jsonString);
	try {
		var jsonData = $.evalJSON(jsonString);
		//var jsonData = json;

		var autoSw = jsonData.autoswinfo[0].autosw;

		setIphoneSwitch("iphone-switch-btn-auto-switch", autoSw);

	}
	catch (e) {
		error_message("getAutoSwitchInfoProcess" + e.message);
	}

}

function getLocateMeInfo()
{

	//var url = "JSON/locateMe.json";
	var url = "action";
	var context =  "cmdtype=devicecontrol&cmdstr=getledflicker";

	$.ajax({
		   type: "POST",
		   url: url,
		   dataType:"text",
		   data: context,
		   timeout:5000,
		   contentType:"application/x-www-form-urlencoded",
		   success: function(msg)
		   {
			   getlocateMeProcess(msg);
		   },
		   error:function(XMLHttpRequest, textStatus, errorThrown)
		   {
			  // error_message("######getVersionInfo"); //翻译
		   }

	});
	Console.log("get:"+context);

}

function getlocateMeProcess(jsonString)
{

	
	Console.log("Receive locateMe Info="+jsonString);
	try
	{
		var jsonData = $.evalJSON(jsonString);
		setIphoneSwitch("iphone-switch-btn-locateMe",jsonData.ledflickerinfo[0].ledflicker);
		
	}
	catch(e)
	{
		error_message("getlocateMeInfoProcess "+e.message);
	}
}

function getAutoLogoutInfo()
{

	//var url = "JSON/autologoutinfo.json";
	var url = "action";
	var context =  "cmdtype=commconfig&cmdstr=getautologoutinfo";

	$.ajax({
		   type: "POST",
		   url: url,
		   dataType:"text",
		   data: context,
		   timeout:5000,
		   contentType:"application/x-www-form-urlencoded",
		   success: function(msg)
		   {
			   getAutoLogoutInfoProcess(msg);
		   },
		   error:function(XMLHttpRequest, textStatus, errorThrown)
		   {
			  // error_message("######getVersionInfo"); //翻译
		   }

	});
	Console.log("get:"+context);

}

function getAutoLogoutInfoProcess(jsonString)
{

	
	Console.log("Receive autologout Info="+jsonString);
	try
	{
		var jsonData = $.evalJSON(jsonString);
		autoLogoutInfo =jsonData;
		 updateLogoutTimeout();
		
		
		var jsonData = $.evalJSON(jsonString);
		setIphoneSwitch("iphone-switch-btn-rs232-auto-logout",jsonData.autologoutinfo[0].mode);
		
		$("#auto-logout-select").selectmenu("destroy");
		setSelectValue("auto-logout-select", jsonData.autologoutinfo[0].time);
		$("#auto-logout-select").selectmenu({
			  change: function( event, ui ) 
			  {
				  autoLogoutInfo.autologoutinfo[0].time = getSelectValue("auto-logout-select");
				  updateLogoutTimeout();
					var	context = "cmdtype=commconfig&cmdstr=setautologoutinfo&mode="
						+getIphoneSwitch("iphone-switch-btn-rs232-auto-logout").toLowerCase()+"&time="
						+getSelectValue("auto-logout-select");
					
					$.ajax({
						   type: "POST",
						   url: "action",
						   dataType:"text",
						   data: context,
						   timeout:5000,
						   contentType:"application/x-www-form-urlencoded",
						   complete: function (XMLHttpRequest, textStatus) 
						   {
							   if(XMLHttpRequest.status == 200)
							   {
								   complete_message("Successful");
							   }
							   else
							   {
								   error_message("Failed");
							   }
						   }
						  
					});

					Console.log("Set:" + context);
			  }
		});
		
	}
	catch(e)
	{
		error_message("getAutoLogoutInfoProcess "+e.message);
	}
}

/*********************************************************
 * 方法名称:ipModechange<br>
 * 功能简述:更换IP模式处理<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-12-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function ipModechange(ipMode)
{
	//var ipMode = $("#ipmodeIPInfo").val();
	//alert(ipMode);
	if (ipMode == "static") {
		$("#ip4addrIPInfo").attr("Disabled", false);
		$("#netmaskIPInfo").attr("Disabled", false);
		$("#gatewayIPInfo").attr("Disabled", false);
		$("#ip4addrIPInfo").val(ip4addr);
		$("#netmaskIPInfo").val(netmask);
		$("#gatewayIPInfo").val(gateway);
	}
	else if (ipMode == "dhcp") {

		$("#ip4addrIPInfo").attr("Disabled", true);
		$("#netmaskIPInfo").attr("Disabled", true);
		$("#gatewayIPInfo").attr("Disabled", true);
		$("#ip4addrIPInfo").val("");
		$("#netmaskIPInfo").val("");
		$("#gatewayIPInfo").val("");
	}

}

/*********************************************************
 * 方法名称:sortableApply<br>
 * 功能简述:排序<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-9-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function sortableApply()
{
	var maxNum = $("#Sortable_number_spinner").spinner("value");

	var url = "/action";
	var context = "cmdtype=deviceconfig&cmdstr=sequencenumberarrange&maxsequencenumber="
			+ maxNum;

	$.ajax(
	{
		type : "POST",
		url : url,
		dataType : "text",
		data : context,
		timeout : 5000,
		contentType : "application/x-www-form-urlencoded",
		complete : function(XMLHttpRequest, textStatus)
		{
			if (XMLHttpRequest.status == 200) {
				complete_message("Successful");// 需要翻译
			}
			else {
				error_message("Failed");
			}
		}
	});
	//Console.log("set Alias"+alias);
}

/*********************************************************
 * 方法名称:updateGuideApply<br>
 * 功能简述:打开对应的升级界面<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-9-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function updateGuideApply(type)
{
	if (type == "MCU") {
		$("#mcuFileUpload_dialog").dialog("open");
	}
	else if (type == "ARM") {
		$("#armFileUpload_dialog").dialog("open");
	}
}

/*********************************************************
 * 方法名称:initRs232AutoStandby_spinner<br>
 * 功能简述:初始化微调控件，自动待机时间<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-9-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function initRs232AutoStandby_spinner()
{
	$("#rs232AutoStandby")
			.spinner(
					{
						min : 0,
						max : 30,
						numberFormat : "n",
						change : function(event, ui)
						{
							var value = $(this).spinner("value");
							//alert(value);
							if (value == null || value < 0 || value > 30) {
								//$( this ).spinner( "value",1 );
								warning_message("The standby time range is from 0 to 30");
							}
							else {
								var context = "cmdtype=deviceconfig&cmdstr=setrs232info&rs232support=1&rs232delaycontroltime="
										+ value;
								if (canSendRs232AutoStandbyCMD) {
									$
											.ajax(
											{
												type : "POST",
												url : "action",
												dataType : "text",
												data : context,
												timeout : 5000,
												contentType : "application/x-www-form-urlencoded",
												complete : function(
														XMLHttpRequest,
														textStatus)
												{
													if (XMLHttpRequest.status == 200) {
														complete_message("Successful");
													}
													else {
														error_message("Failed");
													}
												}

											});
									Console.log("Set:" + context);
								}

							}
						}
					});
	//$( "#rs232AutoStandby" ).spinner( "value",2 );
	$("#rs232AutoStandby").spinner("disable");
}

/*********************************************************
 * 方法名称:initCecAutoStandby_spinner<br>
 * 功能简述:初始化微调控件，自动待机时间<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-9-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function initCecAutoStandby_spinner()
{
	$("#cecAutoStandby_hdmi")
			.spinner(
					{
						min : 0,
						max : 30,
						numberFormat : "n",
						change : function(event, ui)
						{
							var value = $(this).spinner("value");
							if (value == null || value < 0 || value > 30) {
								//$( this ).spinner( "value",1 );
								warning_message("The standby time range is from 0 to 30");
							}
							else {
								var context = "cmdtype=deviceconfig&cmdparameter=hdmi&cmdstr=setcecinfo&cecsupport=1&cecdelaycontroltime="
										+ value;
								if (canSendCecAutoStandbyCMD) {
									$
											.ajax(
											{
												type : "POST",
												url : "action",
												dataType : "text",
												data : context,
												timeout : 5000,
												contentType : "application/x-www-form-urlencoded",
												complete : function(
														XMLHttpRequest,
														textStatus)
												{
													if (XMLHttpRequest.status == 200) {
														complete_message("Successful");
													}
													else {
														error_message("Failed");
													}
												}

											});
									Console.log("Set:" + context);
								}

							}
						}
					});
	//$( "#cecAutoStandby_hdmi" ).spinner( "value",1 );
	$("#cecAutoStandby_hdmi").spinner("disable");
}

/*********************************************************
 * 方法名称:initSortable_number_spinner<br>
 * 功能简述:初始化微调控件，排序时设备数量<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-9-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function initSortable_number_spinner()
{
	$("#Sortable_number_spinner").spinner(
	{
		min : 1,
		numberFormat : "n",
		change : function(event, ui)
		{
			var value = $(this).spinner("value");
			if (value == null || value < 1) {
				$(this).spinner("value", 1);
				// warning_message("设备最大数量最小值为1");
			}
		}
	});
	$("#Sortable_number_spinner").spinner("value", 1);
}

/*********************************************************
 * 方法名称:initConfirmReboot_dialog<br>
 * 功能简述:初始化重启对话框<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-9-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function initConfirmReboot_dialog()
{
	$("#confirmReboot_dialog").dialog(
	{
		autoOpen : false,
		width : 370,
		height : 300,
		closeOnEscape : true,
		draggable : false,
		modal : true,
		show :
		{
			effect : "blind",
			duration : 10
		},
		hide :
		{
			effect : "clip",
			duration : 10
		},
		buttons : [
				{
					text : "OK",
					icons :
					{
						primary : "ui-icon-check"
					},
					click : function()
					{
						$(this).dialog("close");

						var context = "cmdtype=systemconfig&cmdstr=reboot";

						$.ajax(
						{
							type : "POST",
							url : "action",
							dataType : "text",
							data : context,
							timeout : 5000,
							contentType : "application/x-www-form-urlencoded",
							complete : function(XMLHttpRequest, textStatus)
							{
								if (XMLHttpRequest.status == 200) {
									complete_message("Rebooting");
								}
								else {
									error_message("Failed");
								}
							}

						});
						Console.log("Set:" + context);

					}
				},
				{
					text : "Cancel",
					icons :
					{
						primary : "ui-icon-close"
					},
					click : function()
					{
						$(this).dialog("close");
					}
				} ]
	});
}

/*********************************************************
 * 方法名称:initConfirmReset_dialog<br>
 * 功能简述:初始化恢复出厂设置对话框<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-9-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function initConfirmReset_dialog()
{
	$("#confirmReset_dialog")
			.dialog(
					{
						autoOpen : false,
						width : 370,
						height : 300,
						closeOnEscape : true,
						draggable : false,
						modal : true,
						show :
						{
							effect : "blind",
							duration : 10
						},
						hide :
						{
							effect : "clip",
							duration : 10
						},
						buttons : [
								{
									text : "OK",
									icons :
									{
										primary : "ui-icon-check"
									},
									click : function()
									{
										$(this).dialog("close");

										var context = "cmdtype=systemconfig&cmdstr=resetfactory";

										$
												.ajax(
												{
													type : "POST",
													url : "action",
													dataType : "text",
													data : context,
													timeout : 5000,
													contentType : "application/x-www-form-urlencoded",
													complete : function(
															XMLHttpRequest,
															textStatus)
													{
														if (XMLHttpRequest.status == 200) {
															complete_message("Rebooting");
														}
														else {
															error_message("Failed");
														}
													}

												});
										Console.log("Set:" + context);

									}
								},
								{
									text : "Cancel",
									icons :
									{
										primary : "ui-icon-close"
									},
									click : function()
									{
										$(this).dialog("close");
									}
								} ]
					});
}

/*********************************************************
 * 方法名称:initConfirmRefresh_dialog<br>
 * 功能简述:初始化刷新页面对话框<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-9-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function initConfirmRefresh_dialog()
{
	$("#confirmRefresh_dialog").dialog(
	{
		autoOpen : false,
		width : 370,
		height : 300,
		closeOnEscape : true,
		draggable : false,
		modal : true,
		show :
		{
			effect : "blind",
			duration : 10
		},
		hide :
		{
			effect : "clip",
			duration : 10
		},
		buttons : [
				{
					text : "OK",
					icons :
					{
						primary : "ui-icon-check"
					},
					click : function()
					{
						$(this).dialog("close");

						// 刷新网页
						window.location.reload();
					}
				},
				{
					text : "Cancel",
					icons :
					{
						primary : "ui-icon-close"
					},
					click : function()
					{
						$(this).dialog("close");
					}
				} ]
	});
}

/*********************************************************
 * 方法名称:initArmFileUpload_dialog<br>
 * 功能简述:初始化上传ARM升级文件对话框<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-9-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function initArmFileUpload_dialog()
{
	$("#armFileUpload_dialog")
			.dialog(
					{
						autoOpen : false,
						width : 800,
						height : 400,
						closeOnEscape : true,
						draggable : false,
						modal : true,
						show :
						{
							effect : "blind",
							duration : 10
						},
						hide :
						{
							effect : "clip",
							duration : 10
						},
						buttons : [
								{
									text : "Next",
									icons :
									{
										primary : "ui-icon-seek-next"
									},
									click : function()
									{
										$(this).dialog("close");
										$("#armProgress_dialog").dialog("open");
										var context = "cmdtype=systemconfig&cmdstr=update&cmdparameter=arm";

										$
												.ajax(
												{
													type : "POST",
													url : "action",
													dataType : "text",
													data : context,
													timeout : 5000,
													contentType : "application/x-www-form-urlencoded",
													complete : function(
															XMLHttpRequest,
															textStatus)
													{
														if (XMLHttpRequest.status == 200) {
															setArmUpdatestatus("update");
															startArmUpdateInterval();
														}
														else {
															setArmUpdatestatus("fail");
														}
													}

												});
										Console.log("Set:" + context);
									}
								},
								{
									text : "Cancel",
									icons :
									{
										primary : "ui-icon-close"
									},
									click : function()
									{
										$(this).dialog("close");
									}
								} ]
					});
}

/*********************************************************
 * 方法名称:initMcuFileUpload_dialog<br>
 * 功能简述:初始化上传MCU升级文件对话框<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-9-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function initMcuFileUpload_dialog()
{
	$("#mcuFileUpload_dialog")
			.dialog(
					{
						autoOpen : false,
						width : 800,
						height : 400,
						closeOnEscape : true,
						draggable : false,
						modal : true,
						show :
						{
							effect : "blind",
							duration : 10
						},
						hide :
						{
							effect : "clip",
							duration : 10
						},
						buttons : [
								{
									text : "Next",
									icons :
									{
										primary : "ui-icon-seek-next"
									},
									click : function()
									{
										$(this).dialog("close");
										$("#mcuProgress_dialog").dialog("open");
										var context = "cmdtype=systemconfig&cmdstr=update&cmdparameter=mcu";

										$
												.ajax(
												{
													type : "POST",
													url : "action",
													dataType : "text",
													data : context,
													timeout : 5000,
													contentType : "application/x-www-form-urlencoded",
													complete : function(
															XMLHttpRequest,
															textStatus)
													{
														if (XMLHttpRequest.status == 200) {
															setMcuUpdatestatus("update");
															startMcuUpdateInterval();
														}
														else {
															setMcuUpdatestatus("fail");
														}
													}

												});
										Console.log("Set:" + context);
									}
								},
								{
									text : "Cancel",
									icons :
									{
										primary : "ui-icon-close"
									},
									click : function()
									{
										$(this).dialog("close");
									}
								} ]
					});
}

/*********************************************************
 * 方法名称:initArmProgress_dialog<br>
 * 功能简述:初始化ARM升级进度对话框<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-9-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function initArmProgress_dialog()
{
	$("#armProgress_dialog").dialog(
	{
		autoOpen : false,
		width : 800,
		height : 400,
		closeOnEscape : true,
		draggable : false,
		modal : true,
		show :
		{
			effect : "blind",
			duration : 10
		},
		hide :
		{
			effect : "clip",
			duration : 10
		}
	});
}

function refresh()
{
	window.location.href = "http://"+window.location.host+"?ran=" + Math.random();
}

/*********************************************************
 * 方法名称:initMcuProgress_dialog<br>
 * 功能简述:初始化MCU升级进度对话框<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-9-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function initMcuProgress_dialog()
{
	$("#mcuProgress_dialog").dialog(
	{
		autoOpen : false,
		width : 800,
		height : 400,
		closeOnEscape : true,
		draggable : false,
		modal : true,
		show :
		{
			effect : "blind",
			duration : 10
		},
		hide :
		{
			effect : "clip",
			duration : 10
		}
	});
}

/*********************************************************
 * 方法名称:initEdidFileUpload_dialog<br>
 * 功能简述:初始化上传EDID文件对话框<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-9-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function initEdidFileUpload_dialog()
{
	$("#uploadEDID_dialog").dialog(
	{
		autoOpen : false,
		width : 800,
		height : 400,
		closeOnEscape : true,
		draggable : false,
		modal : true,
		show :
		{
			effect : "blind",
			duration : 10
		},
		hide :
		{
			effect : "clip",
			duration : 10
		},
		buttons : [
				{
					text : "Next",
					icons :
					{
						primary : "ui-icon-seek-next"
					},
					click : function()
					{
						$(this).dialog("close");
						$("#EDIDWriteSelectPort_dialog").dialog("open");
					}
				},
				{
					text : "Cancel",
					icons :
					{
						primary : "ui-icon-close"
					},
					click : function()
					{
						$(this).dialog("close");
					}
				} ]
	});
}

/*********************************************************
 * 方法名称:initEdidWriteSelectPort_dialog<br>
 * 功能简述:初始化写入EDID时选择端口对话框<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-9-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function initEdidWriteSelectPort_dialog()
{
	$("#EDIDWriteSelectPort_dialog")
			.dialog(
					{
						autoOpen : false,
						width : 800,
						height : 400,
						closeOnEscape : true,
						draggable : false,
						modal : true,
						show :
						{
							effect : "blind",
							duration : 10
						},
						hide :
						{
							effect : "clip",
							duration : 10
						},
						buttons : [
								{
									text : "Next",
									icons :
									{
										primary : "ui-icon-seek-next"
									},
									click : function()
									{

										var port = $(
												"input[name='radio_edid_write']:checked")
												.val();
										if (port == "hdmi" || port == "vga"
												|| port == "hdbt"
												|| port == "dp") {
											$(this).dialog("close");
											$("#waiting_dialog").dialog("open");
											var context = "cmdtype=deviceconfig&cmdstr=edidwrite&cmdparameter="
													+ port;

											$
													.ajax(
													{
														type : "POST",
														url : "action",
														dataType : "text",
														data : context,
														timeout : 5000,
														contentType : "application/x-www-form-urlencoded",
														complete : function(
																XMLHttpRequest,
																textStatus)
														{
															if (XMLHttpRequest.status == 200) {
																$(
																		"#waiting_dialog")
																		.dialog(
																				"close");
																complete_message("EDID Written Successfully");
															}
															else {
																$(
																		"#waiting_dialog")
																		.dialog(
																				"close");
																error_message("Failed to write EDID, please try again");
															}
														}

													});
											Console.log("Set:" + context);
										}
										else {
											warning_message("Please select a port");
										}
									}
								},
								{
									text : "Cancel",
									icons :
									{
										primary : "ui-icon-close"
									},
									click : function()
									{
										$(this).dialog("close");
									}
								} ]
					});
}

/*********************************************************
 * 方法名称:initEdidReadSelectPort_dialog<br>
 * 功能简述:初始化读取EDID时选择端口对话框<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-9-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function initEdidReadSelectPort_dialog()
{
	$("#EDIDReadSelectPort_dialog")
			.dialog(
					{
						autoOpen : false,
						width : 800,
						height : 400,
						closeOnEscape : true,
						draggable : false,
						modal : true,
						show :
						{
							effect : "blind",
							duration : 10
						},
						hide :
						{
							effect : "clip",
							duration : 10
						},
						buttons : [
								{
									text : "Next",
									icons :
									{
										primary : "ui-icon-seek-next"
									},
									click : function()
									{

										var port = $(
												"input[name='radio_edid_read']:checked")
												.val();
										if (port == "hdmi" || port == "hdbt") {
											$(this).dialog("close");
											// $( "#waiting_dialog" ).dialog("open");
											var context = "cmdtype=deviceconfig&cmdstr=edidread&cmdparameter="
													+ port;
											window.location.href = "action?cmdtype=deviceconfig&cmdstr=edidread&cmdparameter="
													+ port;

											Console.log("Set:" + context);
										}
										else {
											warning_message("######请选择一个端口");
										}
									}
								},
								{
									text : "Cancel",
									icons :
									{
										primary : "ui-icon-close"
									},
									click : function()
									{
										$(this).dialog("close");
									}
								} ]
					});
}

/*********************************************************
 * 方法名称:initWaiting_dialog<br>
 * 功能简述:初始化等待对话框<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-9-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function initWaiting_dialog()
{
	$("#waiting_dialog").dialog(
	{
		autoOpen : false,
		width : 800,
		height : 400,
		closeOnEscape : true,
		draggable : false,
		modal : true,
		show :
		{
			effect : "blind",
			duration : 10
		},
		hide :
		{
			effect : "clip",
			duration : 10
		}
	});
}

function initStatic_ip_Prompt_dialog()
{
	 $( "#static_ip_Prompt_dialog" ).dialog({
		 autoOpen: false,
		 width: 400,
	     height: 300,
	     closeOnEscape:true,
	     draggable:false,
	     modal:true,
		 show: 
		{
			 effect: "blind",
			 duration: 10
		 },
		 hide: 
		 {
			 effect: "clip",
			 duration: 10
		 },
		 buttons: 
	    	  [ 
	    	    {
	  	    	  text: "Close",
	  	    	  icons: {
		              primary: "ui-icon-close"
		            },
	  	    	  click:function()
	  	    	  { 
	  	    		
	  	    		 $(this).dialog( "close" );
	  	    	  }
	      	    }
		     ],
		     beforeClose: function( event, ui ) 
		     {
		    	 //删除定时器
		    	 clearInterval(countdownInterval);
		     }
		  });
}

function initDhcp_ip_Prompt_dialog()
{
	 $( "#dhcp_ip_Prompt_dialog" ).dialog({
		 autoOpen: false,
		 width: 400,
	     height: 300,
	     closeOnEscape:true,
	     draggable:false,
	     modal:true,
		 show: 
		{
			 effect: "blind",
			 duration: 10
		 },
		 hide: 
		 {
			 effect: "clip",
			 duration: 10
		 },
		 buttons: 
	    	  [ 
	    	    
	    	    {
	  	    	  text: "Close",
	  	    	  icons: {
		              primary: "ui-icon-close"
		            },
	  	    	  click:function()
	  	    	  { 
	  	    		
	  	    		 $(this).dialog( "close" );
	  	    	  }
	      	    }
		     ]
		  });
}

/*********************************************************
 * 方法名称:setMcuUpdatestatus<br>
 * 功能简述:MCU升级状态展示<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-9-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function setMcuUpdatestatus(value)
{
	if (value == "update") {
		setDisplay("mcuUpdating", "block");
		setDisplay("mcuUpdateFail", "none");
		setDisplay("mcuUpdateComplete", "none");
	}
	else if (value == "fail") {
		setDisplay("mcuUpdating", "none");
		setDisplay("mcuUpdateFail", "block");
		setDisplay("mcuUpdateComplete", "none");
	}
	else if (value == "complete") {
		setDisplay("mcuUpdating", "none");
		setDisplay("mcuUpdateFail", "none");
		setDisplay("mcuUpdateComplete", "block");
	}
}

/*********************************************************
 * 方法名称:setMcuUpdatestatus<br>
 * 功能简述:ARM升级状态展示<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-10-27<br>
 * 参   数:update:正在升级<br>fail:升级失败<br>complete:升级完成<br>
 * 返  回  值:无<br>
 ********************************************************/
function setArmUpdatestatus(value)
{
	if (value == "update") {
		setDisplay("armUpdating", "block");
		setDisplay("armUpdateFail", "none");
		setDisplay("armUpdateComplete", "none");
	}
	else if (value == "fail") {
		setDisplay("armUpdating", "none");
		setDisplay("armUpdateFail", "block");
		setDisplay("armUpdateComplete", "none");
	}
	else if (value == "complete") {
		setDisplay("armUpdating", "none");
		setDisplay("armUpdateFail", "none");
		setDisplay("armUpdateComplete", "block");
	}
}

/*********************************************************
 * 方法名称:startMcuUpdateScheduleQuery<br>
 * 功能简述:开启MCU升级进度查询<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-9-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function startMcuUpdateInterval()
{
	mcuUpdateInterval = setInterval("getMcuUpdateStatus()", 3000);
}

/*********************************************************
 * 方法名称:startArmUpdateInterval<br>
 * 功能简述:开启Arm升级进度查询<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-9-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function startArmUpdateInterval()
{
	armUpdateInterval = setInterval("getArmUpdateStatus()", 3000);
}

/*********************************************************
 * 方法名称:setMcuUpdatestatus<br>
 * 功能简述:A获取MCU升级状态<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-10-27<br>
 * 参   数:update:正在升级<br>fail:升级失败<br>complete:升级完成<br>
 * 返  回  值:无<br>
 ********************************************************/
function getMcuUpdateStatus()
{

	//var url = "JSON/rs232info.json";
	var url = "action";
	var context = "cmdtype=systemconfig&cmdstr=upgradeinfo&softwarename=MCU";

	$.ajax(
	{
		type : "POST",
		url : url,
		dataType : "text",
		data : context,
		timeout : 5000,
		contentType : "application/x-www-form-urlencoded",
		success : function(msg)
		{
			getUpdateStatusProcess(msg);
		},
		error : function(XMLHttpRequest, textStatus, errorThrown)
		{
			//error_message("######getMcuUpdateStatus"); //翻译
		}

	});
	Console.log("Set:" + context);
}

/*********************************************************
 * 方法名称:getArmUpdateStatus<br>
 * 功能简述:获取ARM升级状态<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-10-27<br>
 * 参   数:update:正在升级<br>fail:升级失败<br>complete:升级完成<br>
 * 返  回  值:无<br>
 ********************************************************/
function getArmUpdateStatus()
{
	//error_message("######getMcuUpdateStatus"); //翻译
	//var url = "JSON/rs232info.json";
	var url = "action";
	var context = "cmdtype=systemconfig&cmdstr=upgradeinfo&softwarename=ARM";

	$.ajax(
	{
		type : "POST",
		url : url,
		dataType : "text",
		data : context,
		timeout : 5000,
		contentType : "application/x-www-form-urlencoded",
		success : function(msg)
		{
			getUpdateStatusProcess(msg);
		},
		error : function(XMLHttpRequest, textStatus, errorThrown)
		{
			// error_message("######getArmUpdateStatus"); //翻译
		}

	});
	Console.log("Set:" + context);
}

/*********************************************************
 * 方法名称:getUpdateStatusProcess<br>
 * 功能简述:展示升级状态<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-12-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function getUpdateStatusProcess(jsonString)
{

	Console.log("Receive UpdateStatus Info=" + jsonString);
	try {
		var jsonData = $.evalJSON(jsonString);
		//var jsonData = json;

		if (jsonData.upgradeinfo[0].softwarename == "MCU") {
			if (jsonData.upgradeinfo[0].updatestatus == "0") {
				clearInterval(mcuUpdateInterval);
				setMcuUpdatestatus("complete");

			}
			else if (jsonData.upgradeinfo[0].updatestatus == "1") {
				setMcuUpdatestatus("update");
			}
			else if (jsonData.upgradeinfo[0].updatestatus == "99") {
				clearInterval(mcuUpdateInterval);
				setMcuUpdatestatus("fail");

			}
		}
		else if (jsonData.upgradeinfo[0].softwarename == "ARM") {
			if (jsonData.upgradeinfo[0].updatestatus == "0") {
				clearInterval(armUpdateInterval);
				setArmUpdatestatus("complete");
			}
			else if (jsonData.upgradeinfo[0].updatestatus == "1") {
				setArmUpdatestatus("update");
			}
			else if (jsonData.upgradeinfo[0].updatestatus == "99") {
				clearInterval(armUpdateInterval);
				setArmUpdatestatus("fail");
			}
		}

	}
	catch (e) {
		//error_message("getUpdateStatusProcess"+e.message);
	}

}

/*********************************************************
 * 方法名称:initIphoneSwitch<br>
 * 功能简述:初始化Iphone开关<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-11-3<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function initIphoneSwitch()
{
	// Iphone开关
	$('.iphone-switch-btn').each(function()
	{
		$(this).bind("click", function()
		{
			var btn = $(this).find("span");
			var change = btn.attr("change");
			btn.toggleClass('off');
			btn.attr("change", btn.html());
			btn.html(change);
			$(this).toggleClass("iphone-switch-btn-off");
			if (btn.attr("class") == 'off') {
				$(this).find("input").val("0");

				iphoneSwitch_Apply(getElementId(this), "off");

			}
			else {
				$(this).find("input").val("1");
				iphoneSwitch_Apply(getElementId(this), "on");

			}

			return false;
		});
	});

	/*********************************************************
	 * 方法名称:initIphoneSwitch<br>
	 * 功能简述:初始化Iphone开关，用于HDCP<br>
	 * 作   者:李胜凯<br>
	 * 日期时间:2015-11-3<br>
	 * 参   数:<br>
	 * 返  回  值:无<br>
	 ********************************************************/
	$('.iphone-switch-btn-hdcp').each(function()
	{
		$(this).bind("click", function()
		{
			var btn = $(this).find("span");
			var change = btn.attr("change");
			btn.toggleClass('off');
			btn.attr("change", btn.html());
			btn.html(change);
			$(this).toggleClass("iphone-switch-btn-off");
			if (btn.attr("class") == 'off') {
				$(this).find("input").val("0");

				iphoneSwitch_Apply(getElementId(this), "off");

			}
			else {
				$(this).find("input").val("1");
				iphoneSwitch_Apply(getElementId(this), "on");

			}

			return false;
		});
	});
}

/*********************************************************
 * 方法名称:setIphoneSwitchHdcp<br>
 * 功能简述:设置HDCP状态<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-11-3<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function setIphoneSwitchHdcp(id, status)
{
	if (status.toLowerCase() == "off") {
		var btn = $("#" + id).find("span");
		$("#" + id).addClass("iphone-switch-btn-off");
		btn.addClass('off');
		btn.html("OFF");
		btn.attr("change", "FOLLOW");
		$("#" + id).find("input").val("0");
	}
	else if (status.toLowerCase() == "on") {
		var btn = $("#" + id).find("span");
		$("#" + id).removeClass("iphone-switch-btn-off");
		btn.removeClass('off');
		btn.html("FOLLOW");
		btn.attr("change", "OFF");
		$("#" + id).find("input").val("1");
	}
}

/*********************************************************
 * 方法名称:iphoneSwitch_Apply<br>
 * 功能简述:iphone开关设置<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-11-3<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function iphoneSwitch_Apply(elementId, status)
{
	var context = "";

	// HDCP 支持的HDMI端口
	if (elementId == "iphone-switch-btn-hdcp-suport-hdmi") {
		if (status == "on") {
			context = "cmdtype=deviceconfig&cmdstr=sethdcpinfo&cmdparameter=hdmi&hdcpsupport=1";
		}
		else if (status == "off") {
			context = "cmdtype=deviceconfig&cmdstr=sethdcpinfo&cmdparameter=hdmi&hdcpsupport=0";
		}
		else {
			return;
		}
	}

	// HDCP 支持的displayport端口
	else if (elementId == "iphone-switch-btn-hdcp-suport-displayport") {

		if (status == "on") {
			context = "cmdtype=deviceconfig&cmdstr=sethdcpinfo&cmdparameter=dp&hdcpsupport=1";
		}
		else if (status == "off") {
			context = "cmdtype=deviceconfig&cmdstr=sethdcpinfo&cmdparameter=dp&hdcpsupport=0";
		}
		else {
			return;
		}
	}
	else if (elementId == "iphone-switch-btn-cec-auto-stanby") {

		if (status == "on") {
			$("#cecAutoStandby_hdmi").spinner("enable");
			var cecdelaycontroltime = $("#cecAutoStandby_hdmi")
					.spinner("value");
			context = "cmdtype=deviceconfig&cmdstr=setcecinfo&cmdparameter=hdmi&cecsupport=1&cecdelaycontroltime="
					+ cecdelaycontroltime;
		}
		else if (status == "off") {
			var cecdelaycontroltime = $("#cecAutoStandby_hdmi")
			.spinner("value");
			context = "cmdtype=deviceconfig&cmdstr=setcecinfo&cmdparameter=hdmi&cecsupport=0&cecdelaycontroltime="+cecdelaycontroltime;
			$("#cecAutoStandby_hdmi").spinner("disable");
		}
		else {
			return;
		}
	}
	else if (elementId == "iphone-switch-btn-rs232-auto-stanby") {

		if (status == "on") {
			$("#rs232AutoStandby").spinner("enable");
			var rs232delaycontroltime = $("#rs232AutoStandby").spinner("value");
			context = "cmdtype=deviceconfig&cmdstr=setrs232info&rs232support=1&rs232delaycontroltime="
					+ rs232delaycontroltime;
		}
		else if (status == "off") {
			var rs232delaycontroltime = $("#rs232AutoStandby").spinner("value");
			context = "cmdtype=deviceconfig&cmdstr=setrs232info&rs232support=0&rs232delaycontroltime="+rs232delaycontroltime;
			$("#rs232AutoStandby").spinner("disable");
		}
		else {
			return;
		}
	}

	else if (elementId == "iphone-switch-btn-auto-switch") {
		context = "cmdtype=deviceconfig&cmdstr=setautoswinfo&cmdparameter="
				+ status;
	}

	
	else if(elementId == "iphone-switch-btn-locateMe")
	{
		context = "cmdtype=devicecontrol&cmdstr=setledflicker&cmdparam="+status;
	}
	
	else if(elementId == "iphone-switch-btn-rs232-auto-logout")
	{
		context = "cmdtype=commconfig&cmdstr=setautologoutinfo&mode="+status+"&time="+getSelectValue("auto-logout-select");
		
	}
	autoLogoutInfo.autologoutinfo[0].mode = status;
	 updateLogoutTimeout();
	$.ajax({
		   type: "POST",
		   url: "action",
		   dataType:"text",
		   data: context,
		   timeout:5000,
		   contentType:"application/x-www-form-urlencoded",
		   complete: function (XMLHttpRequest, textStatus) 
		   {
			   if(XMLHttpRequest.status == 200)
			   {
				   complete_message("Successful");
			   }
			   else
			   {
				   error_message("Failed");
			   }
		   }
		  
	});

	Console.log("Set:" + context);
}

/*********************************************************
 * 方法名称:video_cecPower<br>
 * 功能简述:CEC开关机<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-11-3<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function video_cecPower(out, status)
{
	var context = "";

	if (status == "on") {
		context = "cmdtype=devicecontrol&cmdstr=cec&parameteronestr=hdmi&parametertwostr=poweron";
	}
	else if (status == "off") {
		context = "cmdtype=devicecontrol&cmdstr=cec&parameteronestr=hdmi&parametertwostr=poweroff";
	}
	else {
		return;
	}

	$.ajax(
	{
		type : "POST",
		url : "action",
		dataType : "text",
		data : context,
		timeout : 5000,
		contentType : "application/x-www-form-urlencoded",
		complete : function(XMLHttpRequest, textStatus)
		{
			if (XMLHttpRequest.status == 200) {
				complete_message("Successful");
			}
			else {
				error_message("Failed");
			}
		}

	});
	Console.log("Set:" + context);
}

/*********************************************************
 * 方法名称:control_ip_apply<br>
 * 功能简述:设置IP地址<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-12-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function control_ip_apply()
{
	var ipContext = "cmdtype=commconfig&cmdstr=setipinfo";
	var ipMode = $("#ipmodeIPInfo").val();
	ipContext += "&ipmode=" + ipMode;
	if (ipMode == "static") {
		var ip = $("#ip4addrIPInfo").val();
		var mask = $("#netmaskIPInfo").val();
		var way = $("#gatewayIPInfo").val();
		if ((isIP4addr(ip)) && (isIP4addr(mask)) && (isIP4addr(way))) {
			ipContext += "&ip4addr=" + ip;
			ipContext += "&netmask=" + mask;
			ipContext += "&gateway=" + way;
			//alert(ipContext);
			setIPinfo("/action", ipContext);
			//$( "#static_ip_Prompt_dialog" ).dialog("open");
		}
		else {
			warning_message("Please input correctly!");
			return;
		}
	}

	else if (ipMode == "dhcp") {
		setIPinfo("/action", ipContext);
		//$( "#dhcp_ip_Prompt_dialog" ).dialog("open");
	}
}

/*********************************************************
 * 方法名称:setIPinfo<br>
 * 功能简述:设置IP地址，给服务器发消息<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-12-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function setIPinfo(url, context)
{
	$.ajax(
	{
		type : "POST",
		url : url,
		dataType : "text",
		data : context,
		timeout : 5000,
		complete : function(XMLHttpRequest, textStatus)
		{
			if (XMLHttpRequest.status == 200) {
				//complete_message("Successful");

				var ipMode = $("#ipmodeIPInfo").val();
				if (ipMode == "static") {
					$( "#static_ip_Prompt_dialog" ).dialog("open");
					 countdownInterval =  window.setInterval("countdown();", 1000);
				}else if (ipMode == "dhcp") {
					$( "#dhcp_ip_Prompt_dialog" ).dialog("open");
				}
			}
			else {
				error_message("Failed");
				var ipMode = $("#ipmodeIPInfo").val();
				if (ipMode == "static") {
					$( "#static_ip_Prompt_dialog" ).dialog("open");
					 countdownInterval =  window.setInterval("countdown();", 1000);
				}else if (ipMode == "dhcp") {
					$( "#dhcp_ip_Prompt_dialog" ).dialog("open");
				}
			}
		}
	});
	Console.log("Set:" + context);
}

function countdown()
{
	    var timer = document.getElementById("timer");
	    if(timer.innerHTML == 0)
	    {
	    	window.location.href="http://"+$("#ip4addrIPInfo").val();
	        return false;
	    }
	    timer.innerHTML = timer.innerHTML * 1 - 1;
}

/*********************************************************
 * 方法名称:aliasApply<br>
 * 功能简述:设置假名<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-12-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function aliasApply()
{

	var context = "";

	var alias = getTextValue("deviceAlias");
	if (checkName(alias)) {
		context = "cmdtype=deviceconfig&cmdstr=setdeviceinfo&alias=" + alias;
	}
	else {
		error_message("The Alias name must be 1~20 characters in length (letters , numbers , space , '_' or '-' ).");
		return;
	}

	$.ajax(
	{
		type : "POST",
		url : "action",
		dataType : "text",
		data : context,
		timeout : 5000,
		contentType : "application/x-www-form-urlencoded",
		complete : function(XMLHttpRequest, textStatus)
		{
			if (XMLHttpRequest.status == 200) {
				complete_message("Successful");
			}
			else {
				error_message("Failed");
			}
		}

	});
	Console.log("Set:" + context);

}

/*********************************************************
 * 方法名称:sortableApply<br>
 * 功能简述:开始排序<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-12-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function sortableApply()
{

	var context = "";

	var num = parseInt($("#Sortable_number_spinner").spinner("value"));
	if (num >= 1) {
		context = "cmdtype=deviceconfig&cmdstr=sequencenumberarrange&maxsequencenumber="
				+ num;
	}
	else {
		$("#Sortable_number_spinner").spinner("value", 1);
		context = "cmdtype=deviceconfig&cmdstr=sequencenumberarrange&maxsequencenumber=" + 1;
	}

	$.ajax(
	{
		type : "POST",
		url : "action",
		dataType : "text",
		data : context,
		timeout : 5000,
		contentType : "application/x-www-form-urlencoded",
		complete : function(XMLHttpRequest, textStatus)
		{
			if (XMLHttpRequest.status == 200) {
				complete_message("Successful");
				$("#confirmRefresh_dialog").dialog("open");
			}
			else {
				error_message("Failed");
			}
		}

	});
	Console.log("Set:" + context);

}

/*********************************************************
 * 方法名称:checkbox_groupsign_onclick<br>
 * 功能简述:是否分组标记<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-12-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function checkbox_groupsign_onclick()
{
	var context = "";

	var groupsign = getCheckBoxValue("checkbox-groupsign");
	if (groupsign) {
		context = "cmdtype=deviceconfig&cmdstr=groupsignset&parameterstr=on";
	}
	else {
		context = "cmdtype=deviceconfig&cmdstr=groupsignset&parameterstr=off";
	}

	$.ajax(
	{
		type : "POST",
		url : "action",
		dataType : "text",
		data : context,
		timeout : 5000,
		contentType : "application/x-www-form-urlencoded",
		complete : function(XMLHttpRequest, textStatus)
		{
			if (XMLHttpRequest.status == 200) {
				complete_message("Successful");
			}
			else {
				error_message("Failed");
			}
		}

	});
	Console.log("Set:" + context);
}

/*********************************************************
 * 方法名称:rs232HexChange<br>
 * 功能简述:RS232 的HEX改变处理<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-12-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function rs232HexChange(id)
{
	var value = getCheckBoxValue(id);
	if (value) {
		setRadioChecked("radio_rs232_endflg0");
		setDisable("radio_rs232_endflg0",true);
		setDisable("radio_rs232_endflg1",true);
		setDisable("radio_rs232_endflg2",true);
		setDisable("radio_rs232_endflg3",true);
	}
	else {
		setEnable("radio_rs232_endflg0");
		setEnable("radio_rs232_endflg1");
		setEnable("radio_rs232_endflg2");
		setEnable("radio_rs232_endflg3");
	}
}

/*********************************************************
 * 方法名称:rs232HexPassthroghChange<br>
 * 功能简述:RS232 的HEX改变处理<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-12-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function rs232HexPassthroghChange(id)
{
	var value = getCheckBoxValue(id);
	if (value) {
		setRadioChecked("radio_rs232_endflg-passthrough0");
		setDisable("radio_rs232_endflg-passthrough0",true);
		setDisable("radio_rs232_endflg-passthrough1",true);
		setDisable("radio_rs232_endflg-passthrough2",true);
		setDisable("radio_rs232_endflg-passthrough3",true);
	}
	else {
		setEnable("radio_rs232_endflg-passthrough0");
		setEnable("radio_rs232_endflg-passthrough1");
		setEnable("radio_rs232_endflg-passthrough2");
		setEnable("radio_rs232_endflg-passthrough3");
	}
}

/*********************************************************
 * 方法名称:rs232_Command_apply<br>
 * 功能简述:发送RS232透传命令<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-12-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function rs232_Command_apply()
{

	var context = "";
	var cmd = getTextValue("text-rs232-Command");
	var hex = getCheckBoxValue("checkbox_rs232_hex-passthrough");
	var baudrate = getSelectValue("rs232-baudrate-select-passthrough");
	var paritybits = getSelectValue("rs232-paritybits-select-passthrough");
	var databits = getSelectValue("rs232-databits-select-passthrough");
	var stopbits = getSelectValue("rs232-stopbits-select-passthrough");

	if (hex) {
		var endflg = 0;
		context = "cmdtype=devicecontrol&cmdstr=rs232passthrough&rs232speed="
				+ baudrate
				+ "&rs232paritybit="
				+ paritybits
				+ "&rs232databit="
				+ databits
				+"&rs232stopbit="
				+ stopbits
				+ "&parameteronestr=hexsignon&contentstr="
				+ cmd + "&rs232endflg=" + endflg;
	}
	else {
		var endflg = getRatioValue("radio_rs232_endflg-passthrough");
		context = "cmdtype=devicecontrol&cmdstr=rs232passthrough&rs232speed="
				+ baudrate
				+ "&rs232paritybit="
				+ paritybits
				+ "&rs232databit="
				+ databits
				+"&rs232stopbit="
				+ stopbits
				+ "&parameteronestr=hexsignoff&contentstr="
				+ cmd + "&rs232endflg=" + endflg;
	}

	$.ajax(
	{
		type : "POST",
		url : "action",
		dataType : "text",
		data : context,
		timeout : 5000,
		contentType : "application/x-www-form-urlencoded",
		complete : function(XMLHttpRequest, textStatus)
		{
			if (XMLHttpRequest.status == 200) {
				complete_message("Successful");
			}
			else {
				error_message("Failed");
			}
		}

	});
	Console.log("Set:" + context);

}

/*********************************************************
 * 方法名称:rs232Power<br>
 * 功能简述:通过RS232发送开关机命令<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-12-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function rs232Power(status)
{

	var context = "";
	var baudrate = getSelectValue("rs232-baudrate-select");
	var paritybits = getSelectValue("rs232-paritybits-select");
	var databits = getSelectValue("rs232-databits-select");
	var stopbits = getSelectValue("rs232-stopbits-select");
	if (status == "On") {
		context = "cmdtype=devicecontrol&cmdstr=rs232ctrl&rs232speed="
				+ baudrate
				+ "&rs232paritybit="
				+ paritybits
				+ "&rs232databit="
				+ databits
				+"&rs232stopbit="
				+ stopbits
				+ "&parameteronestr=poweron";
	}
	else if (status == "Off") {
		context = "cmdtype=devicecontrol&cmdstr=rs232ctrl&rs232speed="
				+ baudrate
				+ "&rs232paritybit="
				+ paritybits
				+ "&rs232databit="
				+ databits
				+"&rs232stopbit="
				+ stopbits
				+ "&parameteronestr=poweroff";
	}

	$.ajax(
	{
		type : "POST",
		url : "action",
		dataType : "text",
		data : context,
		timeout : 5000,
		contentType : "application/x-www-form-urlencoded",
		complete : function(XMLHttpRequest, textStatus)
		{
			if (XMLHttpRequest.status == 200) {
				complete_message("Successful");
			}
			else {
				error_message("Failed");
			}
		}

	});
	Console.log("Set:" + context);

}

/*********************************************************
 * 方法名称:change_password_apply<br>
 * 功能简述:改密码<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-12-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function change_password_apply()
{
	var context = "";
	var pwd = getTextValue("password1");

	if (!checkPassword(pwd)) {
		warning_message("Password must be 4 to 16 characters in length, alphanumeric only.");
		return;
	}
	context = "cmdtype=systemconfig&cmdstr=changepasswd&newpasswd=" + pwd;

	$.ajax(
	{
		type : "POST",
		url : "action",
		dataType : "text",
		data : context,
		timeout : 5000,
		contentType : "application/x-www-form-urlencoded",
		complete : function(XMLHttpRequest, textStatus)
		{
			if (XMLHttpRequest.status == 200) {
				complete_message("Successful");
			}
			else {
				error_message("Failed");
			}
		}

	});
	Console.log("Set:" + context);

}

/*********************************************************
 * 方法名称:factoryDefaultApply<br>
 * 功能简述:打开恢复出厂设置确认对话框<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-12-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function factoryDefaultApply()
{
	$("#confirmReset_dialog").dialog("open");
}

/*********************************************************
 * 方法名称:rebootApply<br>
 * 功能简述:打开重启对话框<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-12-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function rebootApply()
{
	$("#confirmReboot_dialog").dialog("open");
}

/*********************************************************
 * 方法名称:rs232_poweron_apply<br>
 * 功能简述:保存RS232开机命令<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-12-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function rs232_poweron_apply()
{
	var hex = getCheckBoxValue("checkbox_rs232_hex");
	var cmd = getTextValue("text-rs232-poweron");
	var baudrate = getSelectValue("rs232-baudrate-select");
	var paritybits = getSelectValue("rs232-paritybits-select");
	var databits = getSelectValue("rs232-databits-select");
	var stopbits = getSelectValue("rs232-stopbits-select");
	var endflg = 0;
	;
	var hexadecimal = 0;
	if (hex) {
		hexadecimal = 1;
	}
	else {
		hexadecimal = 0;
		endflg = getRatioValue("radio_rs232_endflg");
	}

	var context = "cmdtype=deviceconfig&cmdstr=setrs232cmdstring&rs232cmdcontent=poweron&hexadecimal="
			+ hexadecimal
			+ "&rs232speed="
			+ baudrate
			+ "&rs232paritybit="
			+ paritybits
			+ "&rs232databit="
			+ databits
			+"&rs232stopbit="
			+ stopbits
			+"&rs232cmdstring="
			+ cmd + "&rs232endflg=" + endflg;

	$.ajax(
	{
		type : "POST",
		url : "action",
		dataType : "text",
		data : context,
		timeout : 5000,
		contentType : "application/x-www-form-urlencoded",
		complete : function(XMLHttpRequest, textStatus)
		{
			if (XMLHttpRequest.status == 200) {
				complete_message("Successful");
			}
			else {
				error_message("Failed");
			}
		}

	});
	Console.log("Set:" + context);
}

/*********************************************************
 * 方法名称:rs232_poweroff_apply<br>
 * 功能简述:保存RS232关机命令<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-12-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function rs232_poweroff_apply()
{
	var hex = getCheckBoxValue("checkbox_rs232_hex");
	var cmd = getTextValue("text-rs232-poweroff");
	var endflg = 0;
	var baudrate = getSelectValue("rs232-baudrate-select");
	var paritybits = getSelectValue("rs232-paritybits-select");
	var databits = getSelectValue("rs232-databits-select");
	var stopbits = getSelectValue("rs232-stopbits-select");
	var hexadecimal = 0;
	if (hex) {
		hexadecimal = 1;
	}
	else {
		hexadecimal = 0;
		endflg = getRatioValue("radio_rs232_endflg");
	}
	var context = "cmdtype=deviceconfig&cmdstr=setrs232cmdstring&rs232cmdcontent=poweroff&hexadecimal="
		+ hexadecimal
		+ "&rs232speed="
		+ baudrate
		+ "&rs232paritybit="
		+ paritybits
		+ "&rs232databit="
		+ databits
		+"&rs232stopbit="
		+ stopbits
		+"&rs232cmdstring="
		+ cmd + "&rs232endflg=" + endflg;

	$.ajax(
	{
		type : "POST",
		url : "action",
		dataType : "text",
		data : context,
		timeout : 5000,
		contentType : "application/x-www-form-urlencoded",
		complete : function(XMLHttpRequest, textStatus)
		{
			if (XMLHttpRequest.status == 200) {
				complete_message("Successful");
			}
			else {
				error_message("Failed");
			}
		}

	});
	Console.log("Set:" + context);
}

/*********************************************************
 * 方法名称:videoEdidApply<br>
 * 功能简述:设置EDID<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-12-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function videoEdidApply(port, value)
{

	if (value == "9") {

		if (edidFocusValue == "0") {
			return;
		}

		$("#select-video-edid").selectmenu("destroy");

		setSelectValue("select-video-edid", edidFocusValue);

		$("#select-video-edid").selectmenu(
		{
			change : function(event, data)
			{//data.item.value
				videoEdidApply("all", data.item.value);
			},
			focus : function(event, ui)
			{
				edidFocusValue = getSelectValue("select-video-edid");
				// alert(edidFocusValue);
			}
		});
		return;
	}
	var context = "cmdtype=deviceconfig&cmdstr=setedidinfo&cmdparameter="
			+ port + "&edidsetting=" + value;

	$.ajax(
	{
		type : "POST",
		url : "action",
		dataType : "text",
		data : context,
		timeout : 5000,
		contentType : "application/x-www-form-urlencoded",
		complete : function(XMLHttpRequest, textStatus)
		{
			if (XMLHttpRequest.status == 200) {
				complete_message("Successful");
			}
			else {
				error_message("Failed");
			}
		}

	});
	Console.log("Set:" + context);
}

/*********************************************************
 * 方法名称:openEDIDWriteDialog<br>
 * 功能简述:打开EDID写入对话框<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-12-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function openEDIDWriteDialog()
{
	$("#uploadEDID_dialog").dialog("open");
}

/*********************************************************
 * 方法名称:openEDIDReadDialog<br>
 * 功能简述:打开读取EDID对话框<br>
 * 作   者:李胜凯<br>
 * 日期时间:2015-12-27<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function openEDIDReadDialog()
{
	$("#EDIDReadSelectPort_dialog").dialog("open");
}

/*********************************************************
 * 方法名称:locateMe_apply<br>
 * 功能简述:发送LocateME命令<br>
 * 作   者:李胜凯<br>
 * 日期时间:2016-2-19<br>
 * 参   数:<br>
 * 返  回  值:无<br>
 ********************************************************/
function locateMe_apply()
{
	var context = "cmdtype=devicecontrol&cmdstr=ledflicker";

	$.ajax(
	{
		type : "POST",
		url : "action",
		dataType : "text",
		data : context,
		timeout : 5000,
		contentType : "application/x-www-form-urlencoded",
		complete : function(XMLHttpRequest, textStatus)
		{
			if (XMLHttpRequest.status == 200) {
				complete_message("Successful");
			}
			else {
				error_message("Failed");
			}
		}

	});
	Console.log("Set:" + context);
}


function refreshLogoImg()
{
	 var img = document.getElementById("logo-img");  
	    img.src = "images/logo.png?rnd=" + Math.random(); 
}
